
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double[] d_array3 = new double[] { 1.0d, (-1.0d), (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array6 = org.apache.commons.lang3.ArrayUtils.add(d_array3, 10, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    byte[] byte_array0 = null;
    java.lang.Byte[] byte_array1 = org.apache.commons.lang3.ArrayUtils.toObject(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(byte_array1);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    java.lang.String str8 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "1"+ "'", str8.equals("1"));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    byte[] byte_array0 = null;
    byte[] byte_array1 = org.apache.commons.lang3.ArrayUtils.clone(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(byte_array1);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    byte[] byte_array2 = new byte[] { (byte)1, (byte)(-1) };
    byte[] byte_array5 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array2, 1, 0);
    org.apache.commons.lang3.ArrayUtils.reverse(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    short[] s_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array0, (short)0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeJava("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml4("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    double[] d_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(d_array2, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = org.apache.commons.lang3.ArrayUtils.remove(d_array6, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeCsv("{}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{}"+ "'", str1.equals("{}"));

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    char[] char_array0 = null;
    int i2 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array0, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    java.lang.Short[] s_array1 = new java.lang.Short[] { (short)100 };
    java.lang.Short[] s_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array1);
    java.lang.String[][] str_array_array3 = org.apache.commons.lang3.text.translate.EntityArrays.BASIC_ESCAPE();
    java.lang.String[][] str_array_array4 = org.apache.commons.lang3.text.translate.EntityArrays.invert(str_array_array3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array5 = org.apache.commons.lang3.ArrayUtils.addAll((java.lang.Object[])s_array2, (java.lang.Object[])str_array_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array4);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    boolean[] b_array1 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array1);
    boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.add(b_array1, true);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array1, false, 0);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.add(b_array1, 100, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    int i0 = org.apache.commons.lang3.ArrayUtils.INDEX_NOT_FOUND;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i0 == (-1));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    byte[] byte_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.remove(byte_array0, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    boolean[] b_array1 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array1);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.remove(b_array1, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    java.lang.String[] str_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_STRING_ARRAY;
    java.lang.CharSequence[][] charSequence_array_array1 = new java.lang.CharSequence[][] { str_array0 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.text.translate.LookupTranslator lookupTranslator2 = new org.apache.commons.lang3.text.translate.LookupTranslator(charSequence_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequence_array_array1);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.lang3.text.translate.EntityArrays entityArrays0 = new org.apache.commons.lang3.text.translate.EntityArrays();

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 10.0d, 0, 10.0d);
    boolean b10 = org.apache.commons.lang3.ArrayUtils.contains(d_array2, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.ESCAPE_JAVA;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    java.lang.String[][] str_array_array0 = org.apache.commons.lang3.text.translate.EntityArrays.BASIC_ESCAPE();
    java.lang.String[][] str_array_array1 = org.apache.commons.lang3.text.translate.EntityArrays.invert(str_array_array0);
    boolean b2 = org.apache.commons.lang3.ArrayUtils.isEmpty((java.lang.Object[])str_array_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML3;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeJava("{}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{}"+ "'", str1.equals("{}"));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.ESCAPE_CSV;
    java.io.Writer writer2 = null;
    // The following exception was thrown during execution in test generation
    try {
      charSequenceTranslator0.translate((java.lang.CharSequence)"hi!", writer2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    java.lang.Long[] long_array1 = new java.lang.Long[] { (-1L) };
    java.lang.Long[] long_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array4 = org.apache.commons.lang3.ArrayUtils.remove((java.lang.Object[])long_array2, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array3);
    char[] char_array7 = new char[] { 'a' };
    char[] char_array9 = new char[] { 'a' };
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array7, char_array9);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array9);
    char[] char_array12 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array9);
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array9);
    int i15 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array13, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array7, 0);
    int[] i_array13 = new int[] { 100, 0, 1 };
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array13);
    int[] i_array17 = org.apache.commons.lang3.ArrayUtils.subarray(i_array13, 10, 1);
    int[] i_array19 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array17, 0);
    boolean b20 = org.apache.commons.lang3.ArrayUtils.isSameLength(i_array9, i_array17);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array22 = org.apache.commons.lang3.ArrayUtils.remove(i_array17, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    java.lang.String[] str_array1 = new java.lang.String[] { "hi!" };
    java.lang.String[] str_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(str_array1);
    short[] s_array5 = new short[] { (short)0, (short)10 };
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array5);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])str_array2, (java.lang.Object)s_array6, 1);
    java.lang.String[][] str_array_array9 = new java.lang.String[][] { str_array2 };
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String[][] str_array_array10 = org.apache.commons.lang3.text.translate.EntityArrays.invert(str_array_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array9);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    boolean b9 = org.apache.commons.lang3.ArrayUtils.contains(i_array7, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.above(0);
    java.io.Writer writer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      unicodeEscaper1.translate((java.lang.CharSequence)"", writer3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    byte[] byte_array2 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array3 = new byte[] {  };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array2, byte_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array3);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(byte_array3, (byte)0, 0);
    byte[] byte_array10 = org.apache.commons.lang3.ArrayUtils.add(byte_array3, (byte)0);
    int i12 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array3, (byte)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeXml("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    long[] long_array0 = null;
    java.lang.Long[] long_array1 = org.apache.commons.lang3.ArrayUtils.toObject(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(long_array1);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array7, 0);
    int[] i_array13 = new int[] { 100, 0, 1 };
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array13);
    int[] i_array17 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array13, 0);
    int[] i_array18 = org.apache.commons.lang3.ArrayUtils.addAll(i_array7, i_array13);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      numericEntityUnescaper2.translate((java.lang.CharSequence)"{}", writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_CSV;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    java.lang.String[][] str_array_array0 = org.apache.commons.lang3.text.translate.EntityArrays.BASIC_ESCAPE();
    java.lang.String[][] str_array_array1 = org.apache.commons.lang3.text.translate.EntityArrays.invert(str_array_array0);
    java.lang.Object[] obj_array3 = org.apache.commons.lang3.ArrayUtils.remove((java.lang.Object[])str_array_array0, 0);
    java.lang.String str4 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "0"+ "'", str4.equals("0"));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    char[] char_array0 = null;
    java.lang.Character[] char_array1 = org.apache.commons.lang3.ArrayUtils.toObject(char_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(char_array1);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array4, (short)0);
    short[] s_array8 = org.apache.commons.lang3.ArrayUtils.add(s_array4, (short)1);
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array4, (short)100);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.contains(s_array4, (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    boolean b2 = org.apache.commons.lang3.ArrayUtils.isSameType((java.lang.Object)true, (java.lang.Object)1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array4 = org.apache.commons.lang3.ArrayUtils.remove(f_array0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    java.lang.Long[] long_array1 = new java.lang.Long[] { (-1L) };
    java.lang.Long[] long_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array4 = org.apache.commons.lang3.ArrayUtils.remove((java.lang.Object[])long_array2, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeXml("{}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{}"+ "'", str1.equals("{}"));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    char[] char_array0 = null;
    char[] char_array1 = org.apache.commons.lang3.ArrayUtils.clone(char_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(char_array1);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      numericEntityUnescaper2.translate((java.lang.CharSequence)"", writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeEcmaScript("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    java.lang.Byte[] byte_array0 = null;
    byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array0, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(byte_array2);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML4;
    java.io.Writer writer2 = null;
    // The following exception was thrown during execution in test generation
    try {
      charSequenceTranslator0.translate((java.lang.CharSequence)"hi!", writer2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    short[] s_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array0, (short)1, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    java.lang.String str3 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)long_array0);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, (-1L));
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array7 = org.apache.commons.lang3.ArrayUtils.remove(long_array0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{}"+ "'", str3.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    java.lang.String str1 = org.apache.commons.lang3.text.translate.CharSequenceTranslator.hex(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0"+ "'", str1.equals("0"));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array5 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 0, 1.0f);
    float[] f_array6 = org.apache.commons.lang3.ArrayUtils.clone(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(f_array6);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeJava("\\u0068\\u0069\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    byte[] byte_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(byte_array1, (byte)100);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isEmpty(byte_array1);
    byte[] byte_array10 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array11 = new byte[] {  };
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array10, byte_array11);
    boolean b13 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array11);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array1, byte_array11);
    int i15 = org.apache.commons.lang3.ArrayUtils.getLength((java.lang.Object)byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml4("0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0"+ "'", str1.equals("0"));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    org.apache.commons.lang3.ArrayUtils.reverse(s_array4);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isEmpty(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_XML;
    java.lang.String str2 = charSequenceTranslator0.translate((java.lang.CharSequence)"0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "0"+ "'", str2.equals("0"));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    double[] d_array0 = null;
    double[] d_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array0);
    int i5 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array0, 1.0d, 0, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml4("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    long[] long_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, 100L);
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array6 = org.apache.commons.lang3.ArrayUtils.remove(long_array4, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.above(0);
    java.lang.String str3 = unicodeEscaper1.translate((java.lang.CharSequence)"hi!");
    java.io.Writer writer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = unicodeEscaper1.translate(2, writer5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\\u0068\\u0069\\u0021"+ "'", str3.equals("\\u0068\\u0069\\u0021"));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml4("{}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{}"+ "'", str1.equals("{}"));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.ESCAPE_ECMASCRIPT;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    java.lang.String str6 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)f_array4, "hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "{1.0}"+ "'", str6.equals("{1.0}"));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    org.apache.commons.lang3.text.translate.OctalUnescaper octalUnescaper0 = new org.apache.commons.lang3.text.translate.OctalUnescaper();
    java.io.Writer writer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i4 = octalUnescaper0.translate((java.lang.CharSequence)"{}", 100, writer3);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeXml("{}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{}"+ "'", str1.equals("{}"));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeCsv("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    char[] char_array3 = new char[] { '#', '#', '4' };
    java.lang.Character[] char_array5 = new java.lang.Character[] { '4' };
    char[] char_array6 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array5);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array6);
    char[] char_array8 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array6);
    // The following exception was thrown during execution in test generation
    try {
      char[] char_array10 = org.apache.commons.lang3.ArrayUtils.remove(char_array8, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array8);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array3, 0);
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array1);
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array1, ' ');
    // The following exception was thrown during execution in test generation
    try {
      char[] char_array10 = org.apache.commons.lang3.ArrayUtils.add(char_array7, 2, '#');
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeXml("{0,0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{0,0}"+ "'", str1.equals("{0,0}"));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    java.lang.Long[] long_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_LONG_OBJECT_ARRAY;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.lang3.StringEscapeUtils stringEscapeUtils0 = new org.apache.commons.lang3.StringEscapeUtils();

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_XML;
    java.lang.CharSequence charSequence1 = null;
    java.lang.String str2 = charSequenceTranslator0.translate(charSequence1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    java.lang.Short[] s_array0 = null;
    short[] s_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(s_array0, (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(s_array2);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    int i13 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(d_array9, (-1.0d), 1, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    java.lang.Double[] d_array0 = null;
    double[] d_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(d_array0, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    java.lang.Character[] char_array0 = null;
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array0, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(char_array2);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array5 = org.apache.commons.lang3.ArrayUtils.remove(f_array3, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    float[] f_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    double[] d_array0 = null;
    double[] d_array2 = org.apache.commons.lang3.ArrayUtils.removeElement(d_array0, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array2);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    java.lang.String[][] str_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String[][] str_array_array1 = org.apache.commons.lang3.text.translate.EntityArrays.invert(str_array_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeXml("{1.0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{1.0}"+ "'", str1.equals("{1.0}"));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    int[] i_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(i_array0, (-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeCsv("0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0"+ "'", str1.equals("0"));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    java.lang.Double[] d_array10 = org.apache.commons.lang3.ArrayUtils.toObject(d_array8);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml4("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    double[] d_array0 = null;
    java.lang.Double[] d_array1 = org.apache.commons.lang3.ArrayUtils.toObject(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array1);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    java.lang.Byte[] byte_array1 = new java.lang.Byte[] { (byte)0 };
    byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array1);
    java.lang.Object obj3 = null;
    int i5 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])byte_array1, obj3, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    float[] f_array0 = null;
    boolean b2 = org.apache.commons.lang3.ArrayUtils.contains(f_array0, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeXml("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    java.lang.Long[] long_array1 = new java.lang.Long[] { (-1L) };
    java.lang.Long[] long_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    java.lang.Long[] long_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array2);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(long_array2, 10L);
    long[] long_array9 = new long[] { 100L, 1L, 0L };
    long[] long_array11 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array9, 1L);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isSameLength(long_array5, long_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    double[] d_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(d_array0, (-1.0d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.above(0);
    java.lang.CharSequence charSequence2 = null;
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = unicodeEscaper1.translate(charSequence2, 1, writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeEcmaScript("\\u0068\\u0069\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\\\\u0068\\\\u0069\\\\u0021"+ "'", str1.equals("\\\\u0068\\\\u0069\\\\u0021"));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    long[] long_array0 = new long[] {  };
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 1L, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    java.lang.Object obj0 = null;
    int[] i_array4 = new int[] { 100, 0, 1 };
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array4);
    int[] i_array8 = org.apache.commons.lang3.ArrayUtils.subarray(i_array4, 10, 1);
    int[] i_array10 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array8, 0);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isEquals(obj0, (java.lang.Object)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array5 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    float[] f_array8 = null;
    float[] f_array10 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 1.0f);
    float[] f_array13 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array5, f_array13);
    java.lang.Float[] f_array16 = org.apache.commons.lang3.ArrayUtils.toObject(f_array5);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Map map17 = org.apache.commons.lang3.ArrayUtils.toMap((java.lang.Object[])f_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    java.lang.String[][] str_array_array0 = org.apache.commons.lang3.text.translate.EntityArrays.BASIC_ESCAPE();
    java.lang.String[][] str_array_array1 = org.apache.commons.lang3.text.translate.EntityArrays.invert(str_array_array0);
    java.lang.Boolean[] b_array3 = new java.lang.Boolean[] { false };
    boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array3);
    java.lang.Boolean[] b_array6 = new java.lang.Boolean[] { false };
    boolean[] b_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array6);
    boolean[] b_array8 = org.apache.commons.lang3.ArrayUtils.addAll(b_array4, b_array7);
    boolean[] b_array11 = org.apache.commons.lang3.ArrayUtils.subarray(b_array8, 100, 100);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])str_array_array0, (java.lang.Object)100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.above(0);
    java.lang.String str3 = unicodeEscaper1.translate((java.lang.CharSequence)"hi!");
    java.io.Writer writer6 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i7 = unicodeEscaper1.translate((java.lang.CharSequence)"\\u0068\\u0069\\u0021", 0, writer6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\\u0068\\u0069\\u0021"+ "'", str3.equals("\\u0068\\u0069\\u0021"));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    java.lang.Long[] long_array1 = new java.lang.Long[] { (-1L) };
    java.lang.Long[] long_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    java.lang.Long[] long_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array2);
    float[] f_array4 = new float[] {  };
    java.lang.Float[] f_array5 = org.apache.commons.lang3.ArrayUtils.toObject(f_array4);
    java.lang.Float[] f_array7 = new java.lang.Float[] { 0.0f };
    java.lang.Float[] f_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array7);
    java.lang.Object[] obj_array9 = org.apache.commons.lang3.ArrayUtils.addAll((java.lang.Object[])f_array5, (java.lang.Object[])f_array7);
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isSameLength((java.lang.Object[])long_array2, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeJava("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeXml("\\u0068\\u0069\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\\u0068\\u0069\\u0021"+ "'", str1.equals("\\u0068\\u0069\\u0021"));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML4;
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array1 = new org.apache.commons.lang3.text.translate.CharSequenceTranslator[] { charSequenceTranslator0 };
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator2 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array1);
    java.io.Writer writer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i6 = aggregateTranslator2.translate((java.lang.CharSequence)"{1.0}", 10, writer5);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator_array1);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeCsv("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    java.lang.String[][] str_array_array0 = org.apache.commons.lang3.text.translate.EntityArrays.ISO8859_1_ESCAPE();
    java.lang.Integer[] i_array2 = new java.lang.Integer[] { 1 };
    java.lang.Integer[] i_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array2);
    int[] i_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array2, 100);
    java.lang.Character[] char_array7 = new java.lang.Character[] { '4' };
    char[] char_array8 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array7);
    char[] char_array11 = org.apache.commons.lang3.ArrayUtils.add(char_array8, 1, 'a');
    char[] char_array14 = org.apache.commons.lang3.ArrayUtils.subarray(char_array8, 0, 2);
    int i15 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])i_array2, (java.lang.Object)2);
    boolean b16 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])i_array2);
    int[] i_array18 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array2, 1);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array19 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])str_array_array0, (java.lang.Object)i_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException");
    } catch (java.lang.ArrayStoreException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayStoreException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array6);
    java.lang.Boolean[] b_array9 = new java.lang.Boolean[] { false };
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array9);
    java.lang.Boolean[] b_array12 = new java.lang.Boolean[] { false };
    boolean[] b_array13 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array12);
    boolean[] b_array14 = org.apache.commons.lang3.ArrayUtils.addAll(b_array10, b_array13);
    boolean[] b_array16 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array16);
    boolean[] b_array19 = org.apache.commons.lang3.ArrayUtils.add(b_array16, true);
    boolean b21 = org.apache.commons.lang3.ArrayUtils.contains(b_array19, true);
    boolean[] b_array22 = org.apache.commons.lang3.ArrayUtils.addAll(b_array14, b_array19);
    boolean[] b_array23 = org.apache.commons.lang3.ArrayUtils.addAll(b_array6, b_array22);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array25 = org.apache.commons.lang3.ArrayUtils.remove(b_array6, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array23);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array6);
    boolean[] b_array9 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array9);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isSameLength(b_array6, b_array9);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array6);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array15 = org.apache.commons.lang3.ArrayUtils.add(b_array6, 10, false);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeCsv("0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0"+ "'", str1.equals("0"));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    java.lang.Integer[] i_array1 = new java.lang.Integer[] { 1 };
    java.lang.Integer[] i_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array1);
    int[] i_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1, 100);
    java.lang.Character[] char_array6 = new java.lang.Character[] { '4' };
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array6);
    char[] char_array10 = org.apache.commons.lang3.ArrayUtils.add(char_array7, 1, 'a');
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.subarray(char_array7, 0, 2);
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])i_array1, (java.lang.Object)2);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])i_array1);
    int[] i_array17 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1, 1);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.contains(i_array17, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    java.lang.Float[] f_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, 100.0f);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.clone(f_array3);
    float[] f_array5 = null;
    float[] f_array7 = org.apache.commons.lang3.ArrayUtils.add(f_array5, 1.0f);
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array4, f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml3("{1.0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{1.0}"+ "'", str1.equals("{1.0}"));

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    short[] s_array10 = new short[] { (short)0, (short)100 };
    short[] s_array12 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array10, (short)100);
    short[] s_array14 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array12, (short)0);
    int i17 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array12, (short)10, 10);
    boolean b18 = org.apache.commons.lang3.ArrayUtils.isEquals((java.lang.Object)10, (java.lang.Object)i17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array7, 0);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array11 = org.apache.commons.lang3.ArrayUtils.remove(i_array7, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    double[] d_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeEcmaScript("\\u0068\\u0069\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array7 = org.apache.commons.lang3.ArrayUtils.remove(long_array3, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double[] d_array0 = null;
    int i4 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array0, 0.0d, 2, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    double[] d_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array0, 0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Object[] obj_array5 = new java.lang.Object[] { ' ' };
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(obj_array5, (java.lang.Object)(short)(-1));
    java.lang.Object[] obj_array8 = org.apache.commons.lang3.ArrayUtils.removeElement((java.lang.Object[])char_array1, (java.lang.Object)i7);
    long[] long_array10 = new long[] {  };
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array10, 0L);
    long[] long_array14 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array10, 100L);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isEmpty(long_array14);
    long[] long_array17 = org.apache.commons.lang3.ArrayUtils.add(long_array14, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array18 = org.apache.commons.lang3.ArrayUtils.add(obj_array8, 100, (java.lang.Object)0L);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array17);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    java.lang.Short[] s_array1 = new java.lang.Short[] { (short)100 };
    java.lang.Short[] s_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array1);
    boolean b3 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])s_array2);
    java.lang.Short[] s_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array2);
    double[] d_array8 = new double[] { 10.0d, 0.0d };
    double[] d_array10 = org.apache.commons.lang3.ArrayUtils.remove(d_array8, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array11 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])s_array2, 100, (java.lang.Object)d_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    char[] char_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array0, ' ', 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    java.lang.String str3 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)long_array0);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, (-1L));
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array0);
    java.lang.Long[] long_array7 = org.apache.commons.lang3.ArrayUtils.toObject(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{}"+ "'", str3.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 10.0d, 0, 10.0d);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.subarray(d_array2, 10, 0);
    double[] d_array12 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array11);
    int i14 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(d_array12, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    java.lang.Float[] f_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, 100.0f);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.clone(f_array3);
    float[] f_array6 = org.apache.commons.lang3.ArrayUtils.add(f_array4, 0.0f);
    int i9 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(f_array6, 0.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    short[] s_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isEmpty(s_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    java.lang.Double[] d_array0 = null;
    double[] d_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(d_array1);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION3 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.errorIfNoSemiColon;
    boolean b4 = numericEntityUnescaper2.isSet(oPTION3);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION5 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    boolean b6 = numericEntityUnescaper2.isSet(oPTION5);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array7 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION5 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper8 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array7);
    java.io.Writer writer10 = null;
    // The following exception was thrown during execution in test generation
    try {
      numericEntityUnescaper8.translate((java.lang.CharSequence)"", writer10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array7);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    java.lang.Short[] s_array1 = new java.lang.Short[] { (short)100 };
    java.lang.Short[] s_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array1);
    boolean b3 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])s_array2);
    java.lang.Short[] s_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array2);
    java.lang.Object[] obj_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty((java.lang.Object[])s_array2);
    java.lang.Float[] f_array7 = new java.lang.Float[] { 0.0f };
    java.lang.Float[] f_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array7);
    double[] d_array11 = new double[] { 10.0d, 0.0d };
    double[] d_array13 = org.apache.commons.lang3.ArrayUtils.remove(d_array11, 0);
    int i16 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array11, 1.0d, 100);
    double[] d_array17 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array11);
    boolean b18 = org.apache.commons.lang3.ArrayUtils.contains((java.lang.Object[])f_array8, (java.lang.Object)d_array11);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(d_array11);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array20 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])s_array2, (java.lang.Object)d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException");
    } catch (java.lang.ArrayStoreException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayStoreException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    java.lang.Float[] f_array0 = null;
    java.lang.Float[] f_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array0);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(f_array3);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeXml("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    java.lang.String str1 = org.apache.commons.lang3.text.translate.CharSequenceTranslator.hex(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "2"+ "'", str1.equals("2"));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    float[] f_array0 = null;
    java.lang.Float[] f_array1 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array1);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array1, 100.0f);
    float[] f_array5 = org.apache.commons.lang3.ArrayUtils.clone(f_array4);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array0, f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    boolean[] b_array0 = null;
    boolean[] b_array3 = org.apache.commons.lang3.ArrayUtils.subarray(b_array0, 2, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b_array3);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    java.lang.Short[] s_array1 = new java.lang.Short[] { (short)100 };
    java.lang.Short[] s_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array1);
    boolean b3 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])s_array2);
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(s_array2);
    int i7 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array4, (short)100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeEcmaScript("0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "0"+ "'", str1.equals("0"));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml3("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.apache.commons.lang3.ArrayUtils arrayUtils0 = new org.apache.commons.lang3.ArrayUtils();

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    int[] i_array0 = null;
    int[] i_array3 = org.apache.commons.lang3.ArrayUtils.add(i_array0, 0, 10);
    int i6 = org.apache.commons.lang3.ArrayUtils.indexOf(i_array0, 100, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    float[] f_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(f_array0, 10.0f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeJava("\\\\u0068\\\\u0069\\\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\\u0068\\u0069\\u0021"+ "'", str1.equals("\\u0068\\u0069\\u0021"));

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    boolean[] b_array8 = org.apache.commons.lang3.ArrayUtils.removeElement(b_array5, false);
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(b_array5, true);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array12 = org.apache.commons.lang3.ArrayUtils.remove(b_array5, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    int[] i_array0 = null;
    int[] i_array2 = org.apache.commons.lang3.ArrayUtils.add(i_array0, 1);
    int[] i_array3 = org.apache.commons.lang3.ArrayUtils.clone(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i_array3);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeXml("\\\\u0068\\\\u0069\\\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\\\\u0068\\\\u0069\\\\u0021"+ "'", str1.equals("\\\\u0068\\\\u0069\\\\u0021"));

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    byte[] byte_array2 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array3 = new byte[] {  };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array2, byte_array3);
    int i6 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array2, (byte)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    int i6 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array1, (byte)100);
    // The following exception was thrown during execution in test generation
    try {
      byte[] byte_array9 = org.apache.commons.lang3.ArrayUtils.add(byte_array1, 10, (byte)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    byte[] byte_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(byte_array0, (byte)0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    byte[] byte_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(byte_array1, (byte)100);
    // The following exception was thrown during execution in test generation
    try {
      byte[] byte_array8 = org.apache.commons.lang3.ArrayUtils.remove(byte_array6, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    char[] char_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    float[] f_array0 = null;
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.subarray(f_array0, 100, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(f_array3);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper0 = new org.apache.commons.lang3.text.translate.UnicodeEscaper();
    java.io.Writer writer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i4 = unicodeEscaper0.translate((java.lang.CharSequence)"{0,0}", 100, writer3);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array3);
    char[] char_array7 = new char[] { 'a' };
    char[] char_array9 = new char[] { 'a' };
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array7, char_array9);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array9);
    char[] char_array12 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array9);
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array9);
    // The following exception was thrown during execution in test generation
    try {
      char[] char_array15 = org.apache.commons.lang3.ArrayUtils.remove(char_array9, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    byte[] byte_array7 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array8 = new byte[] {  };
    boolean b9 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array7, byte_array8);
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf(byte_array8, (byte)(-1), 1);
    boolean b13 = org.apache.commons.lang3.ArrayUtils.isEmpty(byte_array8);
    byte[] byte_array14 = org.apache.commons.lang3.ArrayUtils.addAll(byte_array1, byte_array8);
    int i16 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array8, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array1);
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array1, ' ');
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array1, 'a', 10);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array1);
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array1, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    short[] s_array2 = new short[] { (short)1, (short)0 };
    int i4 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array2, (short)0);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(s_array2);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isEmpty(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.lang3.text.translate.OctalUnescaper octalUnescaper0 = new org.apache.commons.lang3.text.translate.OctalUnescaper();
    java.io.Writer writer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i4 = octalUnescaper0.translate((java.lang.CharSequence)"{0,0}", (-1), writer3);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.contains(d_array2, 10.0d, 100.0d);
    double[] d_array10 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = org.apache.commons.lang3.ArrayUtils.remove(d_array10, 0);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.contains(d_array10, 10.0d, 100.0d);
    double[] d_array16 = org.apache.commons.lang3.ArrayUtils.addAll(d_array2, d_array10);
    double[] d_array19 = new double[] { 10.0d, 0.0d };
    double[] d_array21 = org.apache.commons.lang3.ArrayUtils.remove(d_array19, 0);
    double[] d_array22 = org.apache.commons.lang3.ArrayUtils.EMPTY_DOUBLE_ARRAY;
    double[] d_array23 = org.apache.commons.lang3.ArrayUtils.addAll(d_array19, d_array22);
    int i25 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array23, (-1.0d));
    boolean b26 = org.apache.commons.lang3.ArrayUtils.isSameLength(d_array2, d_array23);
    boolean b29 = org.apache.commons.lang3.ArrayUtils.contains(d_array2, (-1.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonOptional;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator3 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML4;
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array4 = new org.apache.commons.lang3.text.translate.CharSequenceTranslator[] { charSequenceTranslator3 };
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator5 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array4);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator6 = numericEntityUnescaper2.with(charSequenceTranslator_array4);
    java.lang.CharSequence charSequence7 = null;
    java.io.Writer writer9 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i10 = numericEntityUnescaper2.translate(charSequence7, 0, writer9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator6);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { '4' };
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    char[] char_array5 = org.apache.commons.lang3.ArrayUtils.add(char_array2, 1, 'a');
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(char_array2);
    java.lang.String str8 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)b6, "{}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "true"+ "'", str8.equals("true"));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    java.lang.Float[] f_array0 = null;
    java.lang.Float[] f_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array0);
    java.lang.Float[] f_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array1);
    char[] char_array7 = new char[] { '#', '#', '4' };
    java.lang.Character[] char_array9 = new java.lang.Character[] { '4' };
    char[] char_array10 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array9);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array10);
    char[] char_array12 = org.apache.commons.lang3.ArrayUtils.addAll(char_array7, char_array10);
    char[] char_array14 = org.apache.commons.lang3.ArrayUtils.add(char_array12, '#');
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array15 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])f_array2, 0, (java.lang.Object)'#');
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array14);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    double[] d_array0 = null;
    int i4 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array0, 0.0d, 100, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    double[] d_array12 = new double[] { 10.0d, 0.0d };
    double[] d_array14 = org.apache.commons.lang3.ArrayUtils.remove(d_array12, 0);
    int i17 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array12, 1.0d, 100);
    double[] d_array18 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array12);
    double[] d_array19 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array18);
    double[] d_array20 = org.apache.commons.lang3.ArrayUtils.addAll(d_array8, d_array19);
    double[] d_array22 = org.apache.commons.lang3.ArrayUtils.removeElement(d_array8, 100.0d);
    double[] d_array25 = org.apache.commons.lang3.ArrayUtils.subarray(d_array8, (-1), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    byte[] byte_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array0, (byte)0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    short[] s_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_SHORT_ARRAY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array0);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    java.lang.Double[] d_array9 = org.apache.commons.lang3.ArrayUtils.toObject(d_array8);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.toPrimitive(d_array9, 100.0d);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    int[] i_array0 = null;
    int[] i_array4 = new int[] { 100, 0, 1 };
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array4);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array4);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isSameLength(i_array0, i_array4);
    java.lang.String str9 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)i_array0, "{1.0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "{1.0}"+ "'", str9.equals("{1.0}"));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml3("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml3("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.below(2);
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = unicodeEscaper1.translate((java.lang.CharSequence)"true", 10, writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array5 = org.apache.commons.lang3.ArrayUtils.add(f_array2, 100, 1.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array5 = org.apache.commons.lang3.ArrayUtils.remove(f_array3, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    short[] s_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array0, (short)10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    byte[] byte_array11 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array12 = new byte[] {  };
    boolean b13 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array11, byte_array12);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array12);
    int i17 = org.apache.commons.lang3.ArrayUtils.indexOf(byte_array12, (byte)0, 0);
    boolean b18 = org.apache.commons.lang3.ArrayUtils.isEquals((java.lang.Object)d_array8, (java.lang.Object)(byte)0);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml3("{1.0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{1.0}"+ "'", str1.equals("{1.0}"));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array3 = org.apache.commons.lang3.ArrayUtils.add(i_array0, 10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    boolean[] b_array0 = null;
    org.apache.commons.lang3.ArrayUtils.reverse(b_array0);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    java.lang.String str3 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)long_array0);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, (-1L));
    int i7 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array0, 1L);
    long[] long_array8 = new long[] {  };
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array8, 0L);
    java.lang.String str11 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)long_array8);
    long[] long_array13 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array8, (-1L));
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array8);
    long[] long_array15 = org.apache.commons.lang3.ArrayUtils.addAll(long_array0, long_array8);
    long[] long_array16 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array15);
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array18 = org.apache.commons.lang3.ArrayUtils.remove(long_array15, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{}"+ "'", str3.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "{}"+ "'", str11.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array16);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    java.lang.String[][] str_array_array0 = org.apache.commons.lang3.text.translate.EntityArrays.BASIC_ESCAPE();
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])str_array_array0, (java.lang.Object)(short)1);
    java.lang.Object[] obj_array3 = org.apache.commons.lang3.ArrayUtils.toArray((java.lang.Object[])str_array_array0);
    float[] f_array4 = null;
    float[] f_array6 = org.apache.commons.lang3.ArrayUtils.add(f_array4, 1.0f);
    float[] f_array9 = org.apache.commons.lang3.ArrayUtils.add(f_array4, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array9);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array9);
    float[] f_array12 = null;
    float[] f_array14 = org.apache.commons.lang3.ArrayUtils.add(f_array12, 1.0f);
    float[] f_array17 = org.apache.commons.lang3.ArrayUtils.add(f_array12, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array17);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array9, f_array17);
    java.lang.Float[] f_array20 = org.apache.commons.lang3.ArrayUtils.toObject(f_array9);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array21 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])str_array_array0, (java.lang.Object)f_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException");
    } catch (java.lang.ArrayStoreException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayStoreException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array20);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    float[] f_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array2 = org.apache.commons.lang3.ArrayUtils.remove(f_array0, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    long[] long_array9 = new long[] { 100L, 1L, 0L };
    long[] long_array11 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array9, 1L);
    long[] long_array12 = org.apache.commons.lang3.ArrayUtils.addAll(long_array5, long_array9);
    int i15 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array9, 0L, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 2);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeJava("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml3("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    byte[] byte_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_BYTE_ARRAY;
    byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.add(byte_array0, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.remove(b_array4, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf(100, 0);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION3 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonOptional;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array4 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION3 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper5 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array4);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator6 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML4;
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array7 = new org.apache.commons.lang3.text.translate.CharSequenceTranslator[] { charSequenceTranslator6 };
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator8 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array7);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator9 = numericEntityUnescaper5.with(charSequenceTranslator_array7);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator10 = unicodeEscaper2.with(charSequenceTranslator_array7);
    java.io.Writer writer13 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i14 = unicodeEscaper2.translate((java.lang.CharSequence)"1", 1, writer13);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator10);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array2 = org.apache.commons.lang3.ArrayUtils.remove(i_array0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    boolean b2 = org.apache.commons.lang3.ArrayUtils.isSameType((java.lang.Object)' ', (java.lang.Object)0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf(0, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array3);
    char[] char_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array3);
    char[] char_array8 = org.apache.commons.lang3.ArrayUtils.remove(char_array6, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array8);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    boolean[] b_array9 = org.apache.commons.lang3.ArrayUtils.subarray(b_array6, 100, 100);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array6);
    boolean[] b_array13 = org.apache.commons.lang3.ArrayUtils.add(b_array6, 2, false);
    int i16 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array6, true, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    long[] long_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array3);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array6);
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isEmpty(long_array6);
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array10 = org.apache.commons.lang3.ArrayUtils.remove(long_array6, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeXml("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double[] d_array0 = null;
    org.apache.commons.lang3.ArrayUtils.reverse(d_array0);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Character[] char_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    java.lang.String[] str_array6 = new java.lang.String[] { "hi!" };
    java.lang.String[] str_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(str_array6);
    short[] s_array10 = new short[] { (short)0, (short)10 };
    short[] s_array11 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array10);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])str_array7, (java.lang.Object)s_array11, 1);
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])char_array4, (java.lang.Object)s_array11);
    int i16 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array11, (short)0);
    short[] s_array17 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array11);
    // The following exception was thrown during execution in test generation
    try {
      short[] s_array20 = org.apache.commons.lang3.ArrayUtils.add(s_array17, (-1), (short)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array17);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    java.lang.Long[] long_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_LONG_OBJECT_ARRAY;
    java.lang.Object[] obj_array1 = org.apache.commons.lang3.ArrayUtils.clone((java.lang.Object[])long_array0);
    java.lang.String str3 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)long_array0, "2");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{}"+ "'", str3.equals("{}"));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    boolean[] b_array3 = new boolean[] { true, false, true };
    java.lang.Boolean[] b_array5 = new java.lang.Boolean[] { false };
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array5);
    boolean[] b_array8 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array5, false);
    boolean[] b_array9 = org.apache.commons.lang3.ArrayUtils.addAll(b_array3, b_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.subarray(d_array2, 10, 2);
    java.lang.Double[] d_array12 = org.apache.commons.lang3.ArrayUtils.toObject(d_array11);
    double[] d_array15 = org.apache.commons.lang3.ArrayUtils.subarray(d_array11, (-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    short[] s_array2 = new short[] { (short)0, (short)10 };
    short[] s_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array2);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.contains(s_array2, (short)100);
    short[] s_array7 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array7);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { '4' };
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    char[] char_array5 = new char[] { 'a' };
    char[] char_array7 = new char[] { 'a' };
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array5, char_array7);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array5);
    char[] char_array11 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array5, ' ');
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array5, 'a', 10);
    char[] char_array15 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array5);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.contains(char_array15, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    char[] char_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array0, ' ', 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { '4' };
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    char[] char_array5 = org.apache.commons.lang3.ArrayUtils.add(char_array2, 1, 'a');
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(char_array2);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    float[] f_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isEmpty(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    java.lang.String str1 = org.apache.commons.lang3.text.translate.CharSequenceTranslator.hex((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "FFFFFFFF"+ "'", str1.equals("FFFFFFFF"));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf(1, 10);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array3 = new org.apache.commons.lang3.text.translate.CharSequenceTranslator[] { unicodeEscaper2 };
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator4 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array3);
    java.io.Writer writer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i8 = aggregateTranslator4.translate((java.lang.CharSequence)"\\\\u0068\\\\u0069\\\\u0021", 2, writer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator_array3);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    float[] f_array3 = new float[] { 10.0f, 0.0f, 0.0f };
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.clone(f_array3);
    int i6 = org.apache.commons.lang3.ArrayUtils.indexOf(f_array3, 100.0f);
    float[] f_array7 = null;
    float[] f_array9 = org.apache.commons.lang3.ArrayUtils.add(f_array7, 1.0f);
    float[] f_array12 = org.apache.commons.lang3.ArrayUtils.add(f_array7, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array12);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array12);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(f_array12);
    boolean b16 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array3, f_array12);
    float[] f_array17 = org.apache.commons.lang3.ArrayUtils.clone(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    java.lang.Double[] d_array9 = org.apache.commons.lang3.ArrayUtils.toObject(d_array8);
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array8, 100.0d, 1);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.contains(d_array8, 100.0d, (-1.0d));
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array18 = org.apache.commons.lang3.ArrayUtils.add(d_array8, (-1), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeEcmaScript("{}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{}"+ "'", str1.equals("{}"));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    boolean[] b_array0 = null;
    boolean[] b_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(b_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeCsv("FFFFFFFF");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "FFFFFFFF"+ "'", str1.equals("FFFFFFFF"));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Object[] obj_array5 = new java.lang.Object[] { ' ' };
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(obj_array5, (java.lang.Object)(short)(-1));
    java.lang.Object[] obj_array8 = org.apache.commons.lang3.ArrayUtils.removeElement((java.lang.Object[])char_array1, (java.lang.Object)i7);
    java.lang.Object[] obj_array9 = org.apache.commons.lang3.ArrayUtils.toArray((java.lang.Object[])char_array1);
    org.apache.commons.lang3.ArrayUtils.reverse(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    boolean[] b_array9 = org.apache.commons.lang3.ArrayUtils.subarray(b_array5, (-1), 100);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array11 = org.apache.commons.lang3.ArrayUtils.remove(b_array5, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    short[] s_array2 = new short[] { (short)1, (short)0 };
    int i4 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array2, (short)0);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(s_array2);
    short[] s_array8 = org.apache.commons.lang3.ArrayUtils.subarray(s_array2, 10, 0);
    // The following exception was thrown during execution in test generation
    try {
      short[] s_array10 = org.apache.commons.lang3.ArrayUtils.remove(s_array2, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array8);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array4, (short)0);
    short[] s_array9 = org.apache.commons.lang3.ArrayUtils.add(s_array4, 0, (short)0);
    java.lang.String str10 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)s_array9);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.contains(s_array9, (short)10);
    // The following exception was thrown during execution in test generation
    try {
      short[] s_array14 = org.apache.commons.lang3.ArrayUtils.remove(s_array9, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "{0,0}"+ "'", str10.equals("{0,0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    java.lang.Byte[] byte_array1 = new java.lang.Byte[] { (byte)0 };
    byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array1);
    boolean b3 = org.apache.commons.lang3.ArrayUtils.isEmpty((java.lang.Object[])byte_array1);
    byte[] byte_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array1, (byte)100);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Map map6 = org.apache.commons.lang3.ArrayUtils.toMap((java.lang.Object[])byte_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    short[] s_array2 = new short[] { (short)1, (short)0 };
    int i4 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array2, (short)0);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(s_array2);
    short[] s_array8 = org.apache.commons.lang3.ArrayUtils.subarray(s_array2, 10, 0);
    // The following exception was thrown during execution in test generation
    try {
      short[] s_array11 = org.apache.commons.lang3.ArrayUtils.add(s_array2, (-1), (short)100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array8);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    java.lang.Long[] long_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_LONG_OBJECT_ARRAY;
    java.lang.Object[] obj_array1 = org.apache.commons.lang3.ArrayUtils.clone((java.lang.Object[])long_array0);
    long[] long_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(long_array0, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array7, 0);
    int i11 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(i_array7, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { '4' };
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    char[] char_array5 = org.apache.commons.lang3.ArrayUtils.add(char_array2, 1, 'a');
    int i8 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array2, '#', (-1));
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array2, '4');
    org.apache.commons.lang3.ArrayUtils.reverse(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(f_array2, 1.0f, 10);
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(f_array2);
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array10 = org.apache.commons.lang3.ArrayUtils.remove(f_array2, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.add(i_array3, 1);
    int[] i_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array7);
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(i_array7, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.removeElement(f_array0, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(f_array2);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    int[] i_array0 = null;
    int[] i_array4 = new int[] { 100, 0, 1 };
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array4);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array4);
    int[] i_array8 = org.apache.commons.lang3.ArrayUtils.add(i_array4, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.addAll(i_array0, i_array8);
    org.apache.commons.lang3.ArrayUtils.reverse(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    boolean[] b_array1 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array1);
    boolean b3 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION3 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.errorIfNoSemiColon;
    boolean b4 = numericEntityUnescaper2.isSet(oPTION3);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION5 = null;
    boolean b6 = numericEntityUnescaper2.isSet(oPTION5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array4, (short)0);
    short[] s_array9 = org.apache.commons.lang3.ArrayUtils.add(s_array4, 0, (short)0);
    java.lang.String str10 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)s_array9);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.contains(s_array9, (short)10);
    int i15 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array9, (short)(-1), (-1));
    // The following exception was thrown during execution in test generation
    try {
      short[] s_array18 = org.apache.commons.lang3.ArrayUtils.add(s_array9, 100, (short)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "{0,0}"+ "'", str10.equals("{0,0}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    byte[] byte_array2 = new byte[] { (byte)1, (byte)(-1) };
    byte[] byte_array5 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array2, 1, 0);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isEmpty(byte_array5);
    byte[] byte_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(byte_array5);
    byte[] byte_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(byte_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    char[] char_array3 = new char[] { 'a', '4', 'a' };
    int i5 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array3, 'a');
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array3, ' ');
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array3, 'a', 2);
    char[] char_array14 = new char[] { 'a', '4', 'a' };
    int i16 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array14, 'a');
    char[] char_array17 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array14);
    boolean b18 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array5, false);
    boolean[] b_array11 = org.apache.commons.lang3.ArrayUtils.subarray(b_array5, 0, 2);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array14 = org.apache.commons.lang3.ArrayUtils.add(b_array5, 2, true);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array11);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Character[] char_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    java.lang.String[] str_array6 = new java.lang.String[] { "hi!" };
    java.lang.String[] str_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(str_array6);
    short[] s_array10 = new short[] { (short)0, (short)10 };
    short[] s_array11 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array10);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])str_array7, (java.lang.Object)s_array11, 1);
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])char_array4, (java.lang.Object)s_array11);
    int i16 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array11, (short)0);
    short[] s_array17 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array11);
    boolean b18 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(s_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeJava("{0,0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{0,0}"+ "'", str1.equals("{0,0}"));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    double[] d_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(d_array2, 0.0d);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.add(d_array6, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = org.apache.commons.lang3.ArrayUtils.remove(d_array8, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array4, (short)0);
    short[] s_array9 = org.apache.commons.lang3.ArrayUtils.add(s_array4, 0, (short)0);
    short[] s_array11 = org.apache.commons.lang3.ArrayUtils.remove(s_array4, 0);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(s_array11);
    // The following exception was thrown during execution in test generation
    try {
      short[] s_array14 = org.apache.commons.lang3.ArrayUtils.remove(s_array11, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    int[] i_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_INT_ARRAY;
    int[] i_array2 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array0, 100);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array4 = org.apache.commons.lang3.ArrayUtils.remove(i_array2, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    byte[] byte_array2 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array3 = new byte[] {  };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array2, byte_array3);
    byte[] byte_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(byte_array3);
    // The following exception was thrown during execution in test generation
    try {
      byte[] byte_array7 = org.apache.commons.lang3.ArrayUtils.remove(byte_array3, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.apache.commons.lang3.ArrayUtils.getLength((java.lang.Object)'4');
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    java.lang.Long[] long_array1 = new java.lang.Long[] { (-1L) };
    java.lang.Long[] long_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    java.lang.Long[] long_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array2);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(long_array2, 10L);
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array8 = org.apache.commons.lang3.ArrayUtils.add(long_array5, 2, 0L);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    java.lang.Float[] f_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, 100.0f);
    float[] f_array6 = org.apache.commons.lang3.ArrayUtils.subarray(f_array3, 100, 1);
    float[] f_array7 = null;
    float[] f_array8 = org.apache.commons.lang3.ArrayUtils.addAll(f_array3, f_array7);
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array10 = org.apache.commons.lang3.ArrayUtils.remove(f_array8, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.between(100, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array0 = null;
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator1 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array0);
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = aggregateTranslator1.translate((java.lang.CharSequence)"1", (-1), writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    org.apache.commons.lang3.ArrayUtils.reverse(d_array2);
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 100.0d, 3, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.add(d_array9, (-1.0d));
    double[] d_array14 = new double[] { 10.0d, 0.0d };
    double[] d_array16 = org.apache.commons.lang3.ArrayUtils.remove(d_array14, 0);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isSameLength(d_array9, d_array14);
    boolean b18 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    float[] f_array3 = new float[] { 10.0f, 0.0f, 0.0f };
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.clone(f_array3);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.contains(f_array3, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    short[] s_array0 = null;
    int i2 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array0, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    int i6 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(f_array3, 100.0f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    char[] char_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array0, ' ', 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.above(0);
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = unicodeEscaper1.translate((java.lang.CharSequence)"", 0, writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    java.lang.Object[] obj_array0 = null;
    char[] char_array5 = new char[] { 'a', '4', 'a' };
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array5, 'a');
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array5, '#', 0);
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.add(char_array5, 0, 'a');
    java.lang.Object[] obj_array14 = org.apache.commons.lang3.ArrayUtils.add(obj_array0, 0, (java.lang.Object)'a');
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator15 = org.apache.commons.lang3.StringEscapeUtils.ESCAPE_XML;
    java.lang.Object[] obj_array16 = org.apache.commons.lang3.ArrayUtils.removeElement(obj_array14, (java.lang.Object)charSequenceTranslator15);
    java.lang.String str18 = charSequenceTranslator15.translate((java.lang.CharSequence)"{}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "{}"+ "'", str18.equals("{}"));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.below(100);
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = unicodeEscaper1.translate((java.lang.CharSequence)"", 10, writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array3, 0);
    boolean b9 = org.apache.commons.lang3.ArrayUtils.contains(i_array3, (-1));
    int i11 = org.apache.commons.lang3.ArrayUtils.indexOf(i_array3, 2);
    boolean b13 = org.apache.commons.lang3.ArrayUtils.contains(i_array3, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION3 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.errorIfNoSemiColon;
    boolean b4 = numericEntityUnescaper2.isSet(oPTION3);
    java.lang.CharSequence charSequence5 = null;
    java.io.Writer writer7 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i8 = numericEntityUnescaper2.translate(charSequence5, 1, writer7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { '4' };
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    java.lang.Character[] char_array3 = org.apache.commons.lang3.ArrayUtils.EMPTY_CHARACTER_OBJECT_ARRAY;
    int i4 = org.apache.commons.lang3.ArrayUtils.lastIndexOf((java.lang.Object[])char_array1, (java.lang.Object)char_array3);
    java.lang.Character[] char_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml4("true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "true"+ "'", str1.equals("true"));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double[] d_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isEmpty(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array4, (short)0);
    short[] s_array8 = org.apache.commons.lang3.ArrayUtils.add(s_array4, (short)1);
    short[] s_array9 = null;
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isSameLength(s_array4, s_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Object obj5 = null;
    java.lang.Object[] obj_array6 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])char_array1, 1, obj5);
    java.lang.Character[] char_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    java.lang.Character[] char_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    java.lang.Character[] char_array10 = new java.lang.Character[] { '4' };
    char[] char_array11 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array10);
    char[] char_array12 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array10);
    char[] char_array14 = new char[] { 'a' };
    char[] char_array16 = new char[] { 'a' };
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array14, char_array16);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array14);
    char[] char_array20 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array14, ' ');
    int i23 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array14, 'a', 10);
    char[] char_array24 = org.apache.commons.lang3.ArrayUtils.addAll(char_array12, char_array14);
    int i25 = org.apache.commons.lang3.ArrayUtils.lastIndexOf((java.lang.Object[])char_array8, (java.lang.Object)char_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-1));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array7, 0);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array11 = org.apache.commons.lang3.ArrayUtils.remove(i_array9, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML4;
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array1 = new org.apache.commons.lang3.text.translate.CharSequenceTranslator[] { charSequenceTranslator0 };
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator2 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array1);
    java.io.Writer writer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i6 = aggregateTranslator2.translate((java.lang.CharSequence)"2", 100, writer5);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator_array1);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    byte[] byte_array2 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array3 = new byte[] {  };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array2, byte_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array3);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(byte_array3, (byte)0, 0);
    boolean b10 = org.apache.commons.lang3.ArrayUtils.contains(byte_array3, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    char[] char_array3 = new char[] { 'a', '4', 'a' };
    int i5 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array3, 'a');
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array3, '#');
    char[] char_array9 = org.apache.commons.lang3.ArrayUtils.remove(char_array7, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    float[] f_array0 = null;
    java.lang.Float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toObject(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(f_array1);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    long[] long_array9 = new long[] { 100L, 1L, 0L };
    long[] long_array11 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array9, 1L);
    long[] long_array12 = org.apache.commons.lang3.ArrayUtils.addAll(long_array5, long_array9);
    long[] long_array14 = org.apache.commons.lang3.ArrayUtils.remove(long_array5, 1);
    int i16 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array14, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    byte[] byte_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    long[] long_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, (-1L), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    long[] long_array0 = null;
    int i2 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array0, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.between(0, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf((-1), 100);
    java.io.Writer writer4 = null;
    boolean b5 = unicodeEscaper2.translate(1, writer4);
    java.io.Writer writer7 = null;
    boolean b8 = unicodeEscaper2.translate(0, writer7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    byte[] byte_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(byte_array1, (byte)100);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isEmpty(byte_array1);
    byte[] byte_array10 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array11 = new byte[] {  };
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array10, byte_array11);
    boolean b13 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array11);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array1, byte_array11);
    int i16 = org.apache.commons.lang3.ArrayUtils.indexOf(byte_array11, (byte)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    char[] char_array3 = new char[] { '#', '#', '4' };
    java.lang.Character[] char_array5 = new java.lang.Character[] { '4' };
    char[] char_array6 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array5);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array6);
    char[] char_array8 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array6);
    char[] char_array10 = org.apache.commons.lang3.ArrayUtils.add(char_array8, '#');
    // The following exception was thrown during execution in test generation
    try {
      char[] char_array13 = org.apache.commons.lang3.ArrayUtils.add(char_array8, 10, 'a');
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    byte[] byte_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isEmpty(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == true);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    char[] char_array3 = new char[] { 'a', '4', 'a' };
    int i5 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array3, 'a');
    char[] char_array6 = null;
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array3, char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    byte[] byte_array2 = new byte[] { (byte)1, (byte)(-1) };
    byte[] byte_array5 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array2, 1, 0);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isEmpty(byte_array5);
    byte[] byte_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(byte_array5);
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array5, (byte)0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml4("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.subarray(d_array2, 10, 2);
    int i15 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 0.0d, 3, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    char[] char_array0 = null;
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.add(char_array0, ' ');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    int[] i_array0 = null;
    int[] i_array2 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array0, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(i_array2);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    int[] i_array0 = null;
    int[] i_array4 = new int[] { 100, 0, 1 };
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array4);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array4);
    int[] i_array8 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array4, 0);
    boolean b9 = org.apache.commons.lang3.ArrayUtils.isSameLength(i_array0, i_array8);
    int[] i_array10 = org.apache.commons.lang3.ArrayUtils.clone(i_array8);
    int[] i_array12 = org.apache.commons.lang3.ArrayUtils.add(i_array8, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    java.lang.Float[] f_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, 100.0f);
    float[] f_array6 = org.apache.commons.lang3.ArrayUtils.subarray(f_array3, 100, 1);
    float[] f_array7 = null;
    float[] f_array8 = org.apache.commons.lang3.ArrayUtils.addAll(f_array3, f_array7);
    boolean b9 = org.apache.commons.lang3.ArrayUtils.isEmpty(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeXml("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    char[] char_array0 = null;
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array0, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    java.lang.Float[] f_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, 100.0f);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.clone(f_array3);
    float[] f_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array4);
    int i8 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(f_array5, 100.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    long[] long_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, 100L);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(long_array4);
    long[] long_array7 = org.apache.commons.lang3.ArrayUtils.add(long_array4, 0L);
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array9 = org.apache.commons.lang3.ArrayUtils.remove(long_array4, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    java.lang.Integer[] i_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_INTEGER_OBJECT_ARRAY;
    java.lang.Integer[] i_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array0);
    int[] i_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array0, 1);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array6 = org.apache.commons.lang3.ArrayUtils.add(i_array3, 2, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    java.lang.Long[] long_array0 = null;
    long[] long_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(long_array0, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(long_array2);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml4("{1.0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{1.0}"+ "'", str1.equals("{1.0}"));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    short[] s_array0 = null;
    short[] s_array2 = org.apache.commons.lang3.ArrayUtils.add(s_array0, (short)1);
    int i4 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array0, (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    java.lang.Float[] f_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, 100.0f);
    float[] f_array6 = org.apache.commons.lang3.ArrayUtils.subarray(f_array3, 100, 1);
    float[] f_array7 = null;
    float[] f_array8 = org.apache.commons.lang3.ArrayUtils.addAll(f_array3, f_array7);
    float[] f_array9 = org.apache.commons.lang3.ArrayUtils.clone(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(f_array9);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(i_array7, 0, 10);
    int i13 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(i_array7, 0, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array6);
    java.lang.Boolean[] b_array9 = new java.lang.Boolean[] { false };
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array9);
    java.lang.Boolean[] b_array12 = new java.lang.Boolean[] { false };
    boolean[] b_array13 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array12);
    boolean[] b_array14 = org.apache.commons.lang3.ArrayUtils.addAll(b_array10, b_array13);
    boolean[] b_array16 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array16);
    boolean[] b_array19 = org.apache.commons.lang3.ArrayUtils.add(b_array16, true);
    boolean b21 = org.apache.commons.lang3.ArrayUtils.contains(b_array19, true);
    boolean[] b_array22 = org.apache.commons.lang3.ArrayUtils.addAll(b_array14, b_array19);
    boolean[] b_array23 = org.apache.commons.lang3.ArrayUtils.addAll(b_array6, b_array22);
    boolean[] b_array24 = org.apache.commons.lang3.ArrayUtils.clone(b_array6);
    boolean[] b_array27 = org.apache.commons.lang3.ArrayUtils.subarray(b_array24, 10, 100);
    boolean b29 = org.apache.commons.lang3.ArrayUtils.contains(b_array24, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    int[] i_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(i_array0, 1, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    boolean[] b_array0 = null;
    boolean b2 = org.apache.commons.lang3.ArrayUtils.contains(b_array0, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    java.lang.String str1 = org.apache.commons.lang3.text.translate.CharSequenceTranslator.hex(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "A"+ "'", str1.equals("A"));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    boolean[] b_array1 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array1);
    boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.add(b_array1, true);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array1, false, 0);
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array1, false, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    java.lang.Character[] char_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_CHARACTER_OBJECT_ARRAY;
    boolean[] b_array2 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array2);
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.add(b_array2, true);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array2, false, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array9 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])char_array0, (java.lang.Object)0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException");
    } catch (java.lang.ArrayStoreException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayStoreException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    boolean[] b_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_BOOLEAN_ARRAY;
    boolean[] b_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(b_array0);
    boolean b2 = org.apache.commons.lang3.ArrayUtils.isEmpty(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    java.lang.Long[] long_array1 = new java.lang.Long[] { (-1L) };
    java.lang.Long[] long_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    java.lang.Long[] long_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array2);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(long_array2, 10L);
    long[] long_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(long_array2, 1L);
    java.lang.Long[] long_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array8);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    boolean[] b_array2 = new boolean[] { true, true };
    boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.add(b_array2, false);
    java.lang.Boolean[] b_array6 = new java.lang.Boolean[] { false };
    boolean[] b_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array6);
    java.lang.Boolean[] b_array9 = new java.lang.Boolean[] { false };
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array9);
    boolean[] b_array11 = org.apache.commons.lang3.ArrayUtils.addAll(b_array7, b_array10);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array10, false);
    boolean[] b_array16 = org.apache.commons.lang3.ArrayUtils.subarray(b_array10, 0, 2);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isSameLength(b_array2, b_array10);
    int i19 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array10, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeEcmaScript("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + ""+ "'", str1.equals(""));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    java.lang.String[] str_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_STRING_ARRAY;
    java.lang.Integer[] i_array2 = new java.lang.Integer[] { 2 };
    int[] i_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array2, (-1));
    int i5 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])str_array0, (java.lang.Object)i_array2);
    java.lang.String[] str_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(str_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    double[] d_array5 = org.apache.commons.lang3.ArrayUtils.EMPTY_DOUBLE_ARRAY;
    double[] d_array6 = org.apache.commons.lang3.ArrayUtils.addAll(d_array2, d_array5);
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(d_array2, 0.0d, 3, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML4;
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array1 = new org.apache.commons.lang3.text.translate.CharSequenceTranslator[] { charSequenceTranslator0 };
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator2 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array1);
    java.io.Writer writer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i6 = aggregateTranslator2.translate((java.lang.CharSequence)"\\u0068\\u0069\\u0021", (-1), writer5);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator_array1);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    java.lang.Character[] char_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_CHARACTER_OBJECT_ARRAY;
    java.lang.Object[] obj_array1 = null;
    java.lang.Object[] obj_array2 = org.apache.commons.lang3.ArrayUtils.addAll((java.lang.Object[])char_array0, obj_array1);
    char[] char_array5 = new char[] { 'a' };
    char[] char_array7 = new char[] { 'a' };
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array5, char_array7);
    char[] char_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array7);
    char[] char_array11 = new char[] { 'a' };
    char[] char_array13 = new char[] { 'a' };
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array11, char_array13);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array11);
    char[] char_array17 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array11, ' ');
    char[] char_array20 = org.apache.commons.lang3.ArrayUtils.add(char_array17, 0, '4');
    char[] char_array21 = org.apache.commons.lang3.ArrayUtils.addAll(char_array7, char_array20);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array22 = org.apache.commons.lang3.ArrayUtils.add(obj_array2, 100, (java.lang.Object)char_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array21);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    double[] d_array0 = null;
    int i4 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array0, 0.0d, 100, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    java.lang.Long[] long_array1 = new java.lang.Long[] { (-1L) };
    java.lang.Long[] long_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    org.apache.commons.lang3.ArrayUtils.reverse((java.lang.Object[])long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    char[] char_array3 = new char[] { 'a', '4', 'a' };
    int i5 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array3, 'a');
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array3, ' ');
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array3, 'a', 2);
    char[] char_array14 = new char[] { 'a', '4', 'a' };
    int i16 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array14, 'a');
    char[] char_array17 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array14);
    int i19 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array17, '#');
    // The following exception was thrown during execution in test generation
    try {
      char[] char_array22 = org.apache.commons.lang3.ArrayUtils.add(char_array17, (-1), '#');
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    boolean[] b_array0 = null;
    boolean[] b_array3 = org.apache.commons.lang3.ArrayUtils.subarray(b_array0, 0, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b_array3);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    java.lang.Byte[] byte_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_BYTE_OBJECT_ARRAY;
    java.lang.Object obj1 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])byte_array0, obj1, 100);
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array6);
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.subarray(b_array6, 1, 2);
    int i13 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(b_array10, false, 0);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isEmpty(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    java.lang.String[][] str_array_array0 = org.apache.commons.lang3.text.translate.EntityArrays.HTML40_EXTENDED_UNESCAPE();
    java.lang.String[][] str_array_array1 = org.apache.commons.lang3.text.translate.EntityArrays.invert(str_array_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array1);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Object[] obj_array5 = new java.lang.Object[] { ' ' };
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(obj_array5, (java.lang.Object)(short)(-1));
    java.lang.Object[] obj_array8 = org.apache.commons.lang3.ArrayUtils.removeElement((java.lang.Object[])char_array1, (java.lang.Object)i7);
    char[] char_array9 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    java.lang.String str3 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)long_array0);
    int i5 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array0, 1L);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "{}"+ "'", str3.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    long[] long_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, 100L);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array0);
    java.lang.Long[] long_array6 = org.apache.commons.lang3.ArrayUtils.toObject(long_array5);
    java.util.Map map7 = org.apache.commons.lang3.ArrayUtils.toMap((java.lang.Object[])long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(map7);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeCsv("true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "true"+ "'", str1.equals("true"));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf(0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    double[] d_array1 = new double[] { 0.0d };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.contains(d_array1, 100.0d, 0.0d);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    byte[] byte_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(byte_array1, (byte)100);
    byte[] byte_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(byte_array6);
    byte[] byte_array10 = org.apache.commons.lang3.ArrayUtils.add(byte_array7, 0, (byte)10);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.contains(byte_array10, (byte)1);
    byte[] byte_array15 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array10, 0, 0);
    boolean b16 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    float[] f_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array2 = org.apache.commons.lang3.ArrayUtils.remove(f_array0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    int[] i_array0 = null;
    int[] i_array2 = org.apache.commons.lang3.ArrayUtils.add(i_array0, 1);
    boolean b3 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array2);
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { '4' };
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    char[] char_array5 = new char[] { 'a' };
    char[] char_array7 = new char[] { 'a' };
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array5, char_array7);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array5);
    char[] char_array11 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array5, ' ');
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array5, 'a', 10);
    char[] char_array15 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array5);
    char[] char_array18 = org.apache.commons.lang3.ArrayUtils.subarray(char_array15, 1, 0);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array18);
    char[] char_array20 = null;
    char[] char_array21 = org.apache.commons.lang3.ArrayUtils.addAll(char_array18, char_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array21);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    char[] char_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(char_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    long[] long_array0 = null;
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    java.lang.Long[] long_array1 = new java.lang.Long[] { (-1L) };
    java.lang.Long[] long_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    java.lang.Long[] long_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array2);
    java.lang.String[] str_array5 = new java.lang.String[] { "hi!" };
    java.lang.String[] str_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(str_array5);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isSameLength((java.lang.Object[])long_array2, (java.lang.Object[])str_array6);
    java.lang.Boolean[] b_array9 = new java.lang.Boolean[] { false };
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array9);
    java.lang.Boolean[] b_array12 = new java.lang.Boolean[] { false };
    boolean[] b_array13 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array12);
    boolean[] b_array14 = org.apache.commons.lang3.ArrayUtils.addAll(b_array10, b_array13);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array14);
    java.lang.Boolean[] b_array17 = new java.lang.Boolean[] { false };
    boolean[] b_array18 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array17);
    java.lang.Boolean[] b_array20 = new java.lang.Boolean[] { false };
    boolean[] b_array21 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array20);
    boolean[] b_array22 = org.apache.commons.lang3.ArrayUtils.addAll(b_array18, b_array21);
    boolean[] b_array24 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array24);
    boolean[] b_array27 = org.apache.commons.lang3.ArrayUtils.add(b_array24, true);
    boolean b29 = org.apache.commons.lang3.ArrayUtils.contains(b_array27, true);
    boolean[] b_array30 = org.apache.commons.lang3.ArrayUtils.addAll(b_array22, b_array27);
    boolean[] b_array31 = org.apache.commons.lang3.ArrayUtils.addAll(b_array14, b_array30);
    boolean b32 = org.apache.commons.lang3.ArrayUtils.contains((java.lang.Object[])str_array6, (java.lang.Object)b_array14);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { '4' };
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    char[] char_array5 = org.apache.commons.lang3.ArrayUtils.add(char_array2, 1, 'a');
    java.lang.Character[] char_array7 = new java.lang.Character[] { '4' };
    char[] char_array8 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array7);
    char[] char_array9 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array7);
    char[] char_array10 = org.apache.commons.lang3.ArrayUtils.addAll(char_array5, char_array9);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    byte[] byte_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(byte_array1, (byte)100);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isEmpty(byte_array1);
    byte[] byte_array10 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array11 = new byte[] {  };
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array10, byte_array11);
    boolean b13 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array11);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array1, byte_array11);
    int i17 = org.apache.commons.lang3.ArrayUtils.indexOf(byte_array1, (byte)(-1), 2);
    org.apache.commons.lang3.ArrayUtils.reverse(byte_array1);
    byte[] byte_array19 = null;
    boolean b20 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array1, byte_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.Object[] obj_array1 = org.apache.commons.lang3.ArrayUtils.toArray(obj_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array1);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    java.lang.Integer[] i_array1 = new java.lang.Integer[] { 1 };
    java.lang.Integer[] i_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array1);
    int[] i_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1, 100);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array6 = org.apache.commons.lang3.ArrayUtils.remove(i_array4, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml4("A");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "A"+ "'", str1.equals("A"));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    long[] long_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    java.lang.Byte[] byte_array1 = new java.lang.Byte[] { (byte)0 };
    byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array1);
    boolean b3 = org.apache.commons.lang3.ArrayUtils.isEmpty((java.lang.Object[])byte_array1);
    byte[] byte_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array1, (byte)100);
    java.lang.Object obj7 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array8 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])byte_array1, 3, obj7);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    java.lang.Long[] long_array6 = org.apache.commons.lang3.ArrayUtils.toObject(long_array5);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    char[] char_array3 = new char[] { '#', '#', ' ' };
    char[] char_array5 = new char[] { 'a' };
    char[] char_array7 = new char[] { 'a' };
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array5, char_array7);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array5);
    char[] char_array11 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array5, ' ');
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array5, 'a', 2);
    char[] char_array15 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array5);
    // The following exception was thrown during execution in test generation
    try {
      char[] char_array17 = org.apache.commons.lang3.ArrayUtils.remove(char_array5, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array15);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array5, false);
    boolean[] b_array11 = org.apache.commons.lang3.ArrayUtils.subarray(b_array5, 0, 2);
    boolean[] b_array12 = org.apache.commons.lang3.ArrayUtils.clone(b_array5);
    boolean b13 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array5, false);
    boolean b9 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array1);
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array1, ' ');
    boolean b9 = org.apache.commons.lang3.ArrayUtils.contains(char_array1, 'a');
    int i11 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array1, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf(1, (-1));
    java.lang.Object obj3 = null;
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isEquals((java.lang.Object)(-1), obj3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array4, (short)0);
    int i9 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array6, (short)(-1), 0);
    int i11 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array6, (short)1);
    short[] s_array12 = null;
    short[] s_array13 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array12);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isSameLength(s_array6, s_array13);
    // The following exception was thrown during execution in test generation
    try {
      short[] s_array16 = org.apache.commons.lang3.ArrayUtils.remove(s_array6, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    char[] char_array0 = null;
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array0, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(char_array2);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array7, 0);
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array7);
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf(i_array7, 10);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.contains(i_array7, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    short[] s_array2 = new short[] { (short)0, (short)10 };
    short[] s_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array2);
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isEmpty(s_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array5);
    java.lang.Long[] long_array7 = org.apache.commons.lang3.ArrayUtils.toObject(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    double[] d_array5 = org.apache.commons.lang3.ArrayUtils.clone(d_array4);
    double[] d_array8 = new double[] { 10.0d, 0.0d };
    double[] d_array10 = org.apache.commons.lang3.ArrayUtils.remove(d_array8, 0);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array8, 1.0d, 100);
    double[] d_array14 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    double[] d_array15 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array14);
    int i17 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array15, 0.0d);
    double[] d_array18 = org.apache.commons.lang3.ArrayUtils.addAll(d_array5, d_array15);
    boolean b20 = org.apache.commons.lang3.ArrayUtils.contains(d_array5, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    long[] long_array0 = null;
    org.apache.commons.lang3.ArrayUtils.reverse(long_array0);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    byte[] byte_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(byte_array1, (byte)100);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isEmpty(byte_array1);
    byte[] byte_array10 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array11 = new byte[] {  };
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array10, byte_array11);
    boolean b13 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array11);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array1, byte_array11);
    int i16 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array11, (byte)10);
    int i19 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array11, (byte)0, 100);
    boolean b20 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array11);
    int i23 = org.apache.commons.lang3.ArrayUtils.indexOf(byte_array11, (byte)10, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeEcmaScript("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    long[] long_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array0, (-1L), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    char[] char_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array3);
    char[] char_array7 = new char[] { 'a' };
    char[] char_array9 = new char[] { 'a' };
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array7, char_array9);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array7);
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array7, ' ');
    char[] char_array16 = org.apache.commons.lang3.ArrayUtils.add(char_array13, 0, '4');
    char[] char_array17 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array16);
    int i19 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array17, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeCsv("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "hi!"+ "'", str1.equals("hi!"));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeJava("\\\\u0068\\\\u0069\\\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\\\\\\\\u0068\\\\\\\\u0069\\\\\\\\u0021"+ "'", str1.equals("\\\\\\\\u0068\\\\\\\\u0069\\\\\\\\u0021"));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    float[] f_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(f_array0, 0.0f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    int[] i_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(i_array0, 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    java.lang.String[][] str_array_array0 = org.apache.commons.lang3.text.translate.EntityArrays.ISO8859_1_ESCAPE();
    org.apache.commons.lang3.text.translate.LookupTranslator lookupTranslator1 = new org.apache.commons.lang3.text.translate.LookupTranslator((java.lang.CharSequence[][])str_array_array0);
    java.io.Writer writer4 = null;
    int i5 = lookupTranslator1.translate((java.lang.CharSequence)"2", 0, writer4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf((-1), 100);
    java.io.Writer writer4 = null;
    boolean b5 = unicodeEscaper2.translate(1, writer4);
    java.io.Writer writer8 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i9 = unicodeEscaper2.translate((java.lang.CharSequence)"hi!", 10, writer8);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeCsv("\\\\u0068\\\\u0069\\\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\\\\u0068\\\\u0069\\\\u0021"+ "'", str1.equals("\\\\u0068\\\\u0069\\\\u0021"));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.add(i_array3, 1);
    int[] i_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array7);
    java.lang.Integer[] i_array9 = org.apache.commons.lang3.ArrayUtils.toObject(i_array7);
    org.apache.commons.lang3.ArrayUtils.reverse(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    boolean[] b_array2 = new boolean[] { true, true };
    boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.add(b_array2, false);
    boolean[] b_array7 = org.apache.commons.lang3.ArrayUtils.add(b_array4, 0, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array9 = org.apache.commons.lang3.ArrayUtils.remove(b_array7, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array7);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    int i6 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array1, (byte)100);
    byte[] byte_array7 = org.apache.commons.lang3.ArrayUtils.clone(byte_array1);
    // The following exception was thrown during execution in test generation
    try {
      byte[] byte_array10 = org.apache.commons.lang3.ArrayUtils.add(byte_array1, 100, (byte)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array7);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.contains(d_array2, 10.0d, 100.0d);
    double[] d_array10 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = org.apache.commons.lang3.ArrayUtils.remove(d_array10, 0);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.contains(d_array10, 10.0d, 100.0d);
    double[] d_array16 = org.apache.commons.lang3.ArrayUtils.addAll(d_array2, d_array10);
    double[] d_array19 = new double[] { 10.0d, 0.0d };
    double[] d_array21 = org.apache.commons.lang3.ArrayUtils.remove(d_array19, 0);
    double[] d_array22 = org.apache.commons.lang3.ArrayUtils.EMPTY_DOUBLE_ARRAY;
    double[] d_array23 = org.apache.commons.lang3.ArrayUtils.addAll(d_array19, d_array22);
    int i25 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array23, (-1.0d));
    boolean b26 = org.apache.commons.lang3.ArrayUtils.isSameLength(d_array2, d_array23);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array28 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml4("\\\\\\\\u0068\\\\\\\\u0069\\\\\\\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\\\\\\\\u0068\\\\\\\\u0069\\\\\\\\u0021"+ "'", str1.equals("\\\\\\\\u0068\\\\\\\\u0069\\\\\\\\u0021"));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    byte[] byte_array0 = null;
    boolean b2 = org.apache.commons.lang3.ArrayUtils.contains(byte_array0, (byte)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    long[] long_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array3);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array6);
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isEmpty(long_array6);
    int i11 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array6, (-1L), 3);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array6, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 2);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    java.lang.Double[] d_array9 = org.apache.commons.lang3.ArrayUtils.toObject(d_array8);
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array8, 100.0d, 1);
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array8, 0.0d);
    int i18 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(d_array8, 0.0d, 10, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    java.lang.Object obj0 = null;
    java.lang.String str1 = org.apache.commons.lang3.ArrayUtils.toString(obj0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{}"+ "'", str1.equals("{}"));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 10.0d, 0, 10.0d);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.subarray(d_array2, 10, 0);
    double[] d_array12 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array11);
    double[] d_array15 = new double[] { 10.0d, 0.0d };
    double[] d_array17 = org.apache.commons.lang3.ArrayUtils.remove(d_array15, 0);
    int i20 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array15, 1.0d, 100);
    double[] d_array21 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array15);
    double[] d_array22 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array21);
    double[] d_array25 = new double[] { 10.0d, 0.0d };
    double[] d_array27 = org.apache.commons.lang3.ArrayUtils.remove(d_array25, 0);
    int i30 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array25, 1.0d, 100);
    double[] d_array31 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array25);
    double[] d_array32 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array31);
    double[] d_array33 = org.apache.commons.lang3.ArrayUtils.addAll(d_array21, d_array32);
    boolean b34 = org.apache.commons.lang3.ArrayUtils.isSameLength(d_array12, d_array33);
    int i36 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array12, 10.0d);
    double[] d_array39 = new double[] { 10.0d, 0.0d };
    double[] d_array41 = org.apache.commons.lang3.ArrayUtils.remove(d_array39, 0);
    int i44 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array39, 1.0d, 100);
    double[] d_array45 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array39);
    java.lang.Double[] d_array46 = org.apache.commons.lang3.ArrayUtils.toObject(d_array45);
    double[] d_array47 = org.apache.commons.lang3.ArrayUtils.addAll(d_array12, d_array45);
    int i50 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array47, (-1.0d), 1.0d);
    int i52 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(d_array47, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 1);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    java.lang.Float[] f_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0);
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array1);
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array4 = org.apache.commons.lang3.ArrayUtils.remove(f_array2, 2);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    byte[] byte_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_BYTE_ARRAY;
    org.apache.commons.lang3.ArrayUtils.reverse(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array0);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    java.lang.Short[] s_array1 = new java.lang.Short[] { (short)100 };
    java.lang.Short[] s_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array1);
    short[] s_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(s_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.util.Map map4 = org.apache.commons.lang3.ArrayUtils.toMap((java.lang.Object[])s_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array3);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array7, 0);
    int[] i_array13 = new int[] { 100, 0, 1 };
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array13);
    int[] i_array17 = org.apache.commons.lang3.ArrayUtils.subarray(i_array13, 10, 1);
    int[] i_array19 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array17, 0);
    boolean b20 = org.apache.commons.lang3.ArrayUtils.isSameLength(i_array9, i_array17);
    org.apache.commons.lang3.ArrayUtils.reverse(i_array17);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array24 = org.apache.commons.lang3.ArrayUtils.add(i_array17, 3, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.add(i_array3, 1);
    int[] i_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array7);
    java.lang.Integer[] i_array9 = org.apache.commons.lang3.ArrayUtils.toObject(i_array7);
    java.lang.Object obj10 = null;
    java.lang.Object[] obj_array11 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])i_array9, obj10);
    java.lang.Object[] obj_array13 = org.apache.commons.lang3.ArrayUtils.remove(obj_array11, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    java.lang.Object obj0 = null;
    java.lang.String str2 = org.apache.commons.lang3.ArrayUtils.toString(obj0, "\\\\u0068\\\\u0069\\\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "\\\\u0068\\\\u0069\\\\u0021"+ "'", str2.equals("\\\\u0068\\\\u0069\\\\u0021"));

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_ECMASCRIPT;
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator2 = charSequenceTranslator0.with(charSequenceTranslator_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    int i7 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array3, 1L);
    int i9 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array3, 0L);
    org.apache.commons.lang3.ArrayUtils.reverse(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 2);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    byte[] byte_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array0, (byte)1, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array1);
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array1, ' ');
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array1, 'a', 2);
    java.lang.Character[] char_array12 = new java.lang.Character[] { '4' };
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array12);
    char[] char_array16 = org.apache.commons.lang3.ArrayUtils.add(char_array13, 1, 'a');
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(char_array13);
    boolean b18 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array13);
    char[] char_array19 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array19);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    byte[] byte_array2 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array3 = new byte[] {  };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array2, byte_array3);
    byte[] byte_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(byte_array3);
    // The following exception was thrown during execution in test generation
    try {
      byte[] byte_array8 = org.apache.commons.lang3.ArrayUtils.add(byte_array5, 2, (byte)10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    java.lang.Object[] obj_array0 = null;
    char[] char_array5 = new char[] { 'a', '4', 'a' };
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array5, 'a');
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array5, '#', 0);
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.add(char_array5, 0, 'a');
    java.lang.Object[] obj_array14 = org.apache.commons.lang3.ArrayUtils.add(obj_array0, 0, (java.lang.Object)'a');
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator15 = org.apache.commons.lang3.StringEscapeUtils.ESCAPE_XML;
    java.lang.Object[] obj_array16 = org.apache.commons.lang3.ArrayUtils.removeElement(obj_array14, (java.lang.Object)charSequenceTranslator15);
    long[] long_array17 = new long[] {  };
    int i19 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array17, 0L);
    long[] long_array21 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array17, 100L);
    long[] long_array22 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array17);
    int i24 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(obj_array16, (java.lang.Object)long_array17, 100);
    long[] long_array26 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array17, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array26);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array3);
    char[] char_array7 = new char[] { 'a' };
    char[] char_array9 = new char[] { 'a' };
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array7, char_array9);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array9);
    char[] char_array12 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array9);
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array9);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array9);
    // The following exception was thrown during execution in test generation
    try {
      char[] char_array17 = org.apache.commons.lang3.ArrayUtils.add(char_array9, 3, 'a');
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    double[] d_array5 = org.apache.commons.lang3.ArrayUtils.EMPTY_DOUBLE_ARRAY;
    double[] d_array6 = org.apache.commons.lang3.ArrayUtils.addAll(d_array2, d_array5);
    boolean b9 = org.apache.commons.lang3.ArrayUtils.contains(d_array2, 0.0d, 1.0d);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.removeElement(d_array2, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeCsv("{1.0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{1.0}"+ "'", str1.equals("{1.0}"));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    double[] d_array12 = new double[] { 10.0d, 0.0d };
    double[] d_array14 = org.apache.commons.lang3.ArrayUtils.remove(d_array12, 0);
    int i17 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array12, 1.0d, 100);
    double[] d_array18 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array12);
    double[] d_array19 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array18);
    double[] d_array20 = org.apache.commons.lang3.ArrayUtils.addAll(d_array8, d_array19);
    double[] d_array22 = org.apache.commons.lang3.ArrayUtils.removeElement(d_array8, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array24 = org.apache.commons.lang3.ArrayUtils.remove(d_array22, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array5 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    float[] f_array8 = null;
    float[] f_array10 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 1.0f);
    float[] f_array13 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array5, f_array13);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.contains(f_array13, 100.0f);
    int i19 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(f_array13, 0.0f);
    int i22 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(f_array13, 100.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    int i11 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array9, 0.0d);
    int i15 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(d_array9, 10.0d, 10, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeJava("1");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "1"+ "'", str1.equals("1"));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array2);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(f_array2, 1.0f, 10);
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(f_array2);
    float[] f_array11 = org.apache.commons.lang3.ArrayUtils.subarray(f_array2, 1, 0);
    float[] f_array14 = org.apache.commons.lang3.ArrayUtils.subarray(f_array11, 10, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array14);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array5 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    float[] f_array8 = null;
    float[] f_array10 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 1.0f);
    float[] f_array13 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array5, f_array13);
    java.lang.Float[] f_array16 = org.apache.commons.lang3.ArrayUtils.toObject(f_array5);
    java.lang.Float[] f_array17 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array18 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array17);
    float[] f_array20 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array17, 100.0f);
    float[] f_array23 = org.apache.commons.lang3.ArrayUtils.subarray(f_array20, 100, 1);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array20);
    float[] f_array27 = org.apache.commons.lang3.ArrayUtils.add(f_array20, 0, 100.0f);
    boolean b28 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array5, f_array20);
    boolean b29 = org.apache.commons.lang3.ArrayUtils.isEmpty(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    boolean[] b_array2 = new boolean[] { true, true };
    boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.add(b_array2, false);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array4, true, 0);
    int i9 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(b_array4, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 1);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    char[] char_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array0, 'a', 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeCsv("true");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "true"+ "'", str1.equals("true"));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper3 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper4 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    short[] s_array7 = new short[] { (short)0, (short)100 };
    short[] s_array9 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array7, (short)100);
    short[] s_array11 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array9, (short)0);
    short[] s_array14 = org.apache.commons.lang3.ArrayUtils.add(s_array9, 1, (short)10);
    int i16 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array9, (short)100);
    int i18 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array9, (short)(-1));
    java.lang.Short[] s_array20 = new java.lang.Short[] { (short)100 };
    java.lang.Short[] s_array21 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array20);
    boolean b22 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])s_array21);
    java.lang.Short[] s_array23 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array21);
    short[] s_array25 = org.apache.commons.lang3.ArrayUtils.toPrimitive(s_array21, (short)1);
    boolean b26 = org.apache.commons.lang3.ArrayUtils.isSameLength(s_array9, s_array25);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array27 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])oPTION_array1, (java.lang.Object)s_array25);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException");
    } catch (java.lang.ArrayStoreException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayStoreException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    double[] d_array0 = null;
    boolean b3 = org.apache.commons.lang3.ArrayUtils.contains(d_array0, (-1.0d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    java.lang.Short[] s_array1 = new java.lang.Short[] { (short)100 };
    java.lang.Short[] s_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array1);
    short[] s_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(s_array2);
    short[] s_array5 = org.apache.commons.lang3.ArrayUtils.add(s_array3, (short)10);
    // The following exception was thrown during execution in test generation
    try {
      short[] s_array8 = org.apache.commons.lang3.ArrayUtils.add(s_array3, (-1), (short)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array5);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    java.lang.Float[] f_array1 = new java.lang.Float[] { 0.0f };
    java.lang.Float[] f_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array1);
    double[] d_array5 = new double[] { 10.0d, 0.0d };
    double[] d_array7 = org.apache.commons.lang3.ArrayUtils.remove(d_array5, 0);
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array5, 1.0d, 100);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array5);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.contains((java.lang.Object[])f_array2, (java.lang.Object)d_array5);
    float[] f_array14 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array2, 1.0f);
    java.lang.Float[] f_array15 = org.apache.commons.lang3.ArrayUtils.toObject(f_array14);
    int i18 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(f_array14, 0.0f, 0);
    float[] f_array19 = null;
    float[] f_array20 = org.apache.commons.lang3.ArrayUtils.addAll(f_array14, f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array20);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    java.lang.Float[] f_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, 100.0f);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.clone(f_array3);
    float[] f_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array4);
    float[] f_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array4);
    float[] f_array7 = null;
    float[] f_array9 = org.apache.commons.lang3.ArrayUtils.add(f_array7, 1.0f);
    float[] f_array12 = org.apache.commons.lang3.ArrayUtils.add(f_array7, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array12);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array12);
    java.lang.Float[] f_array15 = org.apache.commons.lang3.ArrayUtils.toObject(f_array12);
    java.lang.Float[] f_array16 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array15);
    float[] f_array17 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array16);
    boolean b18 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array4, f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    int[] i_array0 = null;
    int[] i_array4 = new int[] { 100, 0, 1 };
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array4);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array4);
    int[] i_array8 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array4, 0);
    boolean b9 = org.apache.commons.lang3.ArrayUtils.isSameLength(i_array0, i_array8);
    int[] i_array10 = org.apache.commons.lang3.ArrayUtils.clone(i_array8);
    java.lang.Integer[] i_array12 = new java.lang.Integer[] { 1 };
    java.lang.Integer[] i_array13 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array12);
    int[] i_array15 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array12, 100);
    int[] i_array17 = org.apache.commons.lang3.ArrayUtils.add(i_array15, 10);
    boolean b18 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array15);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isSameLength(i_array8, i_array15);
    boolean b20 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    boolean[] b_array1 = new boolean[] { false };
    int i3 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(b_array1, true);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.add(b_array1, 3, false);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Character[] char_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    char[] char_array6 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, '4');
    char[] char_array8 = new char[] { 'a' };
    char[] char_array10 = new char[] { 'a' };
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array8, char_array10);
    char[] char_array12 = org.apache.commons.lang3.ArrayUtils.addAll(char_array6, char_array10);
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array6, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    long[] long_array0 = null;
    long[] long_array2 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(long_array2);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.above(0);
    java.lang.String str3 = unicodeEscaper1.translate((java.lang.CharSequence)"hi!");
    java.io.Writer writer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = unicodeEscaper1.translate(3, writer5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "\\u0068\\u0069\\u0021"+ "'", str3.equals("\\u0068\\u0069\\u0021"));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    short[] s_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array0, (short)0, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.contains(d_array2, 10.0d, 100.0d);
    double[] d_array10 = new double[] { 10.0d, 0.0d };
    double[] d_array12 = org.apache.commons.lang3.ArrayUtils.remove(d_array10, 0);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.contains(d_array10, 10.0d, 100.0d);
    double[] d_array16 = org.apache.commons.lang3.ArrayUtils.addAll(d_array2, d_array10);
    double[] d_array19 = new double[] { 10.0d, 0.0d };
    double[] d_array21 = org.apache.commons.lang3.ArrayUtils.remove(d_array19, 0);
    double[] d_array22 = org.apache.commons.lang3.ArrayUtils.EMPTY_DOUBLE_ARRAY;
    double[] d_array23 = org.apache.commons.lang3.ArrayUtils.addAll(d_array19, d_array22);
    int i25 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array23, (-1.0d));
    boolean b26 = org.apache.commons.lang3.ArrayUtils.isSameLength(d_array2, d_array23);
    double[] d_array29 = org.apache.commons.lang3.ArrayUtils.add(d_array2, 0, 0.0d);
    int i31 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    java.lang.Double[] d_array1 = new java.lang.Double[] { 10.0d };
    java.lang.Double[] d_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array1);
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(d_array1, 100.0d);
    java.lang.Double[] d_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array1);
    double[] d_array9 = new double[] { 10.0d, 0.0d };
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.remove(d_array9, 0);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.contains(d_array9, 10.0d, 100.0d);
    double[] d_array17 = new double[] { 10.0d, 0.0d };
    double[] d_array19 = org.apache.commons.lang3.ArrayUtils.remove(d_array17, 0);
    boolean b22 = org.apache.commons.lang3.ArrayUtils.contains(d_array17, 10.0d, 100.0d);
    double[] d_array23 = org.apache.commons.lang3.ArrayUtils.addAll(d_array9, d_array17);
    double[] d_array26 = new double[] { 10.0d, 0.0d };
    double[] d_array28 = org.apache.commons.lang3.ArrayUtils.remove(d_array26, 0);
    double[] d_array29 = org.apache.commons.lang3.ArrayUtils.EMPTY_DOUBLE_ARRAY;
    double[] d_array30 = org.apache.commons.lang3.ArrayUtils.addAll(d_array26, d_array29);
    int i32 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array30, (-1.0d));
    boolean b33 = org.apache.commons.lang3.ArrayUtils.isSameLength(d_array9, d_array30);
    double[] d_array36 = org.apache.commons.lang3.ArrayUtils.add(d_array9, 0, 0.0d);
    double[] d_array39 = org.apache.commons.lang3.ArrayUtils.subarray(d_array9, 3, 10);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array40 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])d_array1, (-1), (java.lang.Object)d_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.above(0);
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = unicodeEscaper1.translate((java.lang.CharSequence)"FFFFFFFF", (-1), writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.add(d_array9, (-1.0d));
    double[] d_array14 = new double[] { 10.0d, 0.0d };
    double[] d_array16 = org.apache.commons.lang3.ArrayUtils.remove(d_array14, 0);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isSameLength(d_array9, d_array14);
    int i20 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array9, 0.0d, 0);
    int i23 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(d_array9, 0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == (-1));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeEcmaScript("{1.0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{1.0}"+ "'", str1.equals("{1.0}"));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.Boolean[] b_array2 = new java.lang.Boolean[] { false };
    boolean[] b_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array2);
    java.lang.Boolean[] b_array5 = new java.lang.Boolean[] { false };
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array5);
    boolean[] b_array7 = org.apache.commons.lang3.ArrayUtils.addAll(b_array3, b_array6);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array7);
    boolean[] b_array10 = new boolean[] { false };
    org.apache.commons.lang3.ArrayUtils.reverse(b_array10);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isSameLength(b_array7, b_array10);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf(obj_array0, (java.lang.Object)b_array10);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array15 = org.apache.commons.lang3.ArrayUtils.remove(b_array10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    java.lang.Byte[] byte_array2 = new java.lang.Byte[] { (byte)0 };
    byte[] byte_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array2);
    java.lang.Character[] char_array5 = new java.lang.Character[] { ' ' };
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array5, ' ');
    java.lang.Object[] obj_array9 = new java.lang.Object[] { ' ' };
    int i11 = org.apache.commons.lang3.ArrayUtils.indexOf(obj_array9, (java.lang.Object)(short)(-1));
    java.lang.Object[] obj_array12 = org.apache.commons.lang3.ArrayUtils.removeElement((java.lang.Object[])char_array5, (java.lang.Object)i11);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])byte_array2, (java.lang.Object)char_array5);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isEquals((java.lang.Object)"A", (java.lang.Object)char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array6);
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.subarray(b_array6, 1, 2);
    int i13 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(b_array10, true, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION3 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.errorIfNoSemiColon;
    boolean b4 = numericEntityUnescaper2.isSet(oPTION3);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator5 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML4;
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array6 = new org.apache.commons.lang3.text.translate.CharSequenceTranslator[] { charSequenceTranslator5 };
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator7 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array6);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator8 = numericEntityUnescaper2.with(charSequenceTranslator_array6);
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator9 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array6);
    java.io.Writer writer12 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i13 = aggregateTranslator9.translate((java.lang.CharSequence)"", 5, writer12);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator8);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    long[] long_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, 100L);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(long_array4);
    long[] long_array7 = org.apache.commons.lang3.ArrayUtils.add(long_array4, 0L);
    int i9 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array7, (-1L));
    long[] long_array11 = org.apache.commons.lang3.ArrayUtils.add(long_array7, 100L);
    long[] long_array12 = org.apache.commons.lang3.ArrayUtils.clone(long_array7);
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array14 = org.apache.commons.lang3.ArrayUtils.remove(long_array7, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array12);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    char[] char_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array3);
    java.lang.Character[] char_array7 = new java.lang.Character[] { '4' };
    char[] char_array8 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array7);
    char[] char_array9 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array7);
    char[] char_array11 = new char[] { 'a' };
    char[] char_array13 = new char[] { 'a' };
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array11, char_array13);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array11);
    char[] char_array17 = org.apache.commons.lang3.ArrayUtils.removeElement(char_array11, ' ');
    int i20 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array11, 'a', 10);
    char[] char_array21 = org.apache.commons.lang3.ArrayUtils.addAll(char_array9, char_array11);
    char[] char_array24 = org.apache.commons.lang3.ArrayUtils.subarray(char_array21, 1, 0);
    org.apache.commons.lang3.ArrayUtils.reverse(char_array24);
    boolean b26 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array5, char_array24);
    int i29 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array5, ' ', (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == (-1));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    java.lang.Float[] f_array1 = new java.lang.Float[] { 0.0f };
    java.lang.Float[] f_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array1);
    org.apache.commons.lang3.ArrayUtils.reverse((java.lang.Object[])f_array1);
    float[] f_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    byte[] byte_array1 = new byte[] { (byte)(-1) };
    byte[] byte_array4 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array1, (-1), 10);
    byte[] byte_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(byte_array1, (byte)100);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isEmpty(byte_array1);
    byte[] byte_array10 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array11 = new byte[] {  };
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array10, byte_array11);
    boolean b13 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array11);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array1, byte_array11);
    java.lang.Byte[] byte_array15 = org.apache.commons.lang3.ArrayUtils.toObject(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array15);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    long[] long_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array3);
    long[] long_array10 = new long[] { 100L, 1L, 0L };
    long[] long_array12 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array10, 1L);
    long[] long_array13 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array10);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isEmpty(long_array13);
    long[] long_array18 = org.apache.commons.lang3.ArrayUtils.subarray(long_array13, 0, 1);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isSameLength(long_array6, long_array18);
    java.lang.Long[] long_array20 = org.apache.commons.lang3.ArrayUtils.toObject(long_array18);
    java.lang.Object[] obj_array21 = org.apache.commons.lang3.ArrayUtils.clone((java.lang.Object[])long_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Object obj5 = null;
    java.lang.Object[] obj_array6 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])char_array1, 1, obj5);
    java.lang.Character[] char_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    int[] i_array11 = new int[] { 100, 0, 1 };
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array11);
    int[] i_array15 = org.apache.commons.lang3.ArrayUtils.subarray(i_array11, 10, 1);
    int[] i_array17 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array15, 0);
    int[] i_array21 = new int[] { 100, 0, 1 };
    boolean b22 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array21);
    boolean b23 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array21);
    int[] i_array25 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array21, 0);
    int[] i_array26 = org.apache.commons.lang3.ArrayUtils.addAll(i_array15, i_array21);
    int i29 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(i_array26, 10, (-1));
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array30 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])char_array1, (java.lang.Object)i_array26);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException");
    } catch (java.lang.ArrayStoreException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayStoreException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayStoreException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == (-1));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    int[] i_array0 = null;
    int[] i_array3 = org.apache.commons.lang3.ArrayUtils.add(i_array0, 0, 10);
    int[] i_array5 = org.apache.commons.lang3.ArrayUtils.add(i_array3, (-1));
    org.apache.commons.lang3.ArrayUtils.reverse(i_array5);
    int i9 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(i_array5, 0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    java.lang.Long[] long_array1 = new java.lang.Long[] { 0L };
    java.lang.Long[] long_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    float[] f_array4 = new float[] {  };
    java.lang.Float[] f_array5 = org.apache.commons.lang3.ArrayUtils.toObject(f_array4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array6 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])long_array2, 1, (java.lang.Object)f_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.below(2);
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = unicodeEscaper1.translate((java.lang.CharSequence)"{0,0}", 5, writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml4("{0,0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{0,0}"+ "'", str1.equals("{0,0}"));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    short[] s_array2 = new short[] { (short)0, (short)10 };
    short[] s_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array2);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.contains(s_array2, (short)100);
    int i7 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array2, (short)10);
    int i9 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array2, (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper0 = new org.apache.commons.lang3.text.translate.UnicodeEscaper();
    java.io.Writer writer3 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i4 = unicodeEscaper0.translate((java.lang.CharSequence)"1", 3, writer3);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    java.lang.Byte[] byte_array1 = new java.lang.Byte[] { (byte)0 };
    byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array1);
    java.lang.Character[] char_array4 = new java.lang.Character[] { ' ' };
    char[] char_array6 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array4, ' ');
    java.lang.Object[] obj_array8 = new java.lang.Object[] { ' ' };
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(obj_array8, (java.lang.Object)(short)(-1));
    java.lang.Object[] obj_array11 = org.apache.commons.lang3.ArrayUtils.removeElement((java.lang.Object[])char_array4, (java.lang.Object)i10);
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])byte_array1, (java.lang.Object)char_array4);
    java.lang.Integer[] i_array13 = null;
    java.lang.Integer[] i_array14 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isEquals((java.lang.Object)byte_array1, (java.lang.Object)i_array14);
    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper19 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf(1, 10);
    java.io.Writer writer21 = null;
    boolean b22 = unicodeEscaper19.translate(2, writer21);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array23 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])byte_array1, 0, (java.lang.Object)b22);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    java.lang.Short[] s_array1 = new java.lang.Short[] { (short)100 };
    java.lang.Short[] s_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array1);
    boolean b3 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])s_array2);
    java.lang.Short[] s_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array2);
    java.lang.Short[] s_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array2);
    org.apache.commons.lang3.ArrayUtils.reverse((java.lang.Object[])s_array5);
    java.lang.Short[] s_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array7);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf(1, 10);
    java.io.Writer writer4 = null;
    boolean b5 = unicodeEscaper2.translate(5, writer4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION3 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.errorIfNoSemiColon;
    boolean b4 = numericEntityUnescaper2.isSet(oPTION3);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION5 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    boolean b6 = numericEntityUnescaper2.isSet(oPTION5);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array7 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION5 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper8 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array7);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper9 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array7);
    java.io.Writer writer12 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i13 = numericEntityUnescaper9.translate((java.lang.CharSequence)"\\\\u0068\\\\u0069\\\\u0021", 100, writer12);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array7);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { '4' };
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    double[] d_array6 = new double[] { 10.0d, 0.0d };
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.remove(d_array6, 0);
    int i11 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array6, 1.0d, 100);
    double[] d_array12 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array6);
    double[] d_array13 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array12);
    java.lang.Double[] d_array14 = org.apache.commons.lang3.ArrayUtils.toObject(d_array12);
    java.lang.Double[] d_array15 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array14);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array16 = org.apache.commons.lang3.ArrayUtils.addAll((java.lang.Object[])char_array1, (java.lang.Object[])d_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    byte[] byte_array2 = new byte[] { (byte)1, (byte)(-1) };
    byte[] byte_array5 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array2, 1, 0);
    byte[] byte_array8 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array5, 100, 2);
    // The following exception was thrown during execution in test generation
    try {
      byte[] byte_array11 = org.apache.commons.lang3.ArrayUtils.add(byte_array5, 5, (byte)1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array8);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeHtml3("{}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{}"+ "'", str1.equals("{}"));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array5 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    float[] f_array8 = null;
    float[] f_array10 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 1.0f);
    float[] f_array13 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array5, f_array13);
    java.lang.Float[] f_array16 = org.apache.commons.lang3.ArrayUtils.toObject(f_array5);
    java.lang.Float[] f_array17 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array18 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array17);
    float[] f_array20 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array17, 100.0f);
    float[] f_array23 = org.apache.commons.lang3.ArrayUtils.subarray(f_array20, 100, 1);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array20);
    float[] f_array27 = org.apache.commons.lang3.ArrayUtils.add(f_array20, 0, 100.0f);
    boolean b28 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array5, f_array20);
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array30 = org.apache.commons.lang3.ArrayUtils.remove(f_array20, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    int[] i_array3 = new int[] { 100, 0, 1 };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    int[] i_array7 = org.apache.commons.lang3.ArrayUtils.subarray(i_array3, 10, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array7, 0);
    int[] i_array13 = new int[] { 100, 0, 1 };
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array13);
    int[] i_array17 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array13, 0);
    int[] i_array18 = org.apache.commons.lang3.ArrayUtils.addAll(i_array7, i_array13);
    int i21 = org.apache.commons.lang3.ArrayUtils.indexOf(i_array18, 100, 10);
    int i24 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(i_array18, 2, 0);
    boolean b25 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array18);
    int[] i_array27 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array18, 10);
    org.apache.commons.lang3.ArrayUtils.reverse(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    java.lang.String str1 = org.apache.commons.lang3.text.translate.CharSequenceTranslator.hex(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "64"+ "'", str1.equals("64"));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array4, (short)0);
    short[] s_array9 = org.apache.commons.lang3.ArrayUtils.add(s_array4, 1, (short)10);
    org.apache.commons.lang3.ArrayUtils.reverse(s_array4);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.contains(s_array4, (short)1);
    java.lang.Short[] s_array13 = org.apache.commons.lang3.ArrayUtils.toObject(s_array4);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isEmpty(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array5, false);
    int i11 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array5, false, 0);
    boolean b13 = org.apache.commons.lang3.ArrayUtils.contains(b_array5, false);
    boolean[] b_array15 = org.apache.commons.lang3.ArrayUtils.add(b_array5, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array15);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    java.lang.Byte[] byte_array1 = new java.lang.Byte[] { (byte)0 };
    java.lang.Byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(byte_array1);
    java.lang.Object[] obj_array3 = org.apache.commons.lang3.ArrayUtils.clone((java.lang.Object[])byte_array2);
    java.lang.Boolean[] b_array5 = new java.lang.Boolean[] { false };
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array5);
    java.lang.Boolean[] b_array8 = new java.lang.Boolean[] { false };
    boolean[] b_array9 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array8);
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.addAll(b_array6, b_array9);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array10);
    boolean[] b_array13 = org.apache.commons.lang3.ArrayUtils.add(b_array10, true);
    int i15 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])byte_array2, (java.lang.Object)b_array13, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml4("\\h\\i\\!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "\\h\\i\\!"+ "'", str1.equals("\\h\\i\\!"));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    java.lang.Byte[] byte_array1 = new java.lang.Byte[] { (byte)0 };
    java.lang.Byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(byte_array1);
    java.lang.Byte[] byte_array3 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(byte_array1);
    java.lang.Short[] s_array5 = new java.lang.Short[] { (short)100 };
    java.lang.Short[] s_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array5);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])s_array6);
    java.lang.Short[] s_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array6);
    org.apache.commons.lang3.ArrayUtils.reverse((java.lang.Object[])s_array8);
    java.lang.Short[] s_array10 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array8);
    short[] s_array11 = org.apache.commons.lang3.ArrayUtils.toPrimitive(s_array8);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array12 = org.apache.commons.lang3.ArrayUtils.addAll((java.lang.Object[])byte_array3, (java.lang.Object[])s_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array11);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    char[] char_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array0, ' ', 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    int i6 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array2, (short)100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    int[] i_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(i_array0, 2, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    byte[] byte_array2 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array3 = new byte[] {  };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array2, byte_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array2);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array2);
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array4, (short)0);
    short[] s_array8 = org.apache.commons.lang3.ArrayUtils.add(s_array4, (short)1);
    short[] s_array10 = org.apache.commons.lang3.ArrayUtils.add(s_array4, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array10);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    java.lang.Object[] obj_array0 = null;
    byte[] byte_array3 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array4 = new byte[] {  };
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array3, byte_array4);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array4);
    byte[] byte_array9 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array4, (-1), 2);
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(obj_array0, (java.lang.Object)2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    boolean[] b_array3 = new boolean[] { true, false, true };
    java.lang.Boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.toObject(b_array3);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.remove(b_array3, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { '4' };
    char[] char_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1);
    java.lang.Character[] char_array3 = org.apache.commons.lang3.ArrayUtils.EMPTY_CHARACTER_OBJECT_ARRAY;
    int i4 = org.apache.commons.lang3.ArrayUtils.lastIndexOf((java.lang.Object[])char_array1, (java.lang.Object)char_array3);
    org.apache.commons.lang3.ArrayUtils.reverse((java.lang.Object[])char_array3);
    char[] char_array6 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array3);
    char[] char_array8 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array3, '#');
    int i10 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array8, 'a');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    java.lang.Float[] f_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_FLOAT_OBJECT_ARRAY;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0);
    float[] f_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, 100.0f);
    float[] f_array6 = org.apache.commons.lang3.ArrayUtils.subarray(f_array3, 100, 1);
    float[] f_array9 = org.apache.commons.lang3.ArrayUtils.subarray(f_array6, 100, 10);
    // The following exception was thrown during execution in test generation
    try {
      float[] f_array12 = org.apache.commons.lang3.ArrayUtils.add(f_array9, 100, 100.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    short[] s_array2 = new short[] { (short)1, (short)0 };
    int i4 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array2, (short)0);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(s_array2);
    int i7 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(s_array2, (short)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    boolean[] b_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_BOOLEAN_ARRAY;
    boolean[] b_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(b_array0);
    int i4 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array1, true, 3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.unescapeCsv("2");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "2"+ "'", str1.equals("2"));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    long[] long_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, 100L);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array0);
    java.lang.Long[] long_array6 = org.apache.commons.lang3.ArrayUtils.toObject(long_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.lang3.ArrayUtils.clone((java.lang.Object[])long_array6);
    long[] long_array9 = org.apache.commons.lang3.ArrayUtils.toPrimitive(long_array6, 0L);
    java.lang.Long[] long_array10 = org.apache.commons.lang3.ArrayUtils.toObject(long_array9);
    java.lang.Object[] obj_array11 = org.apache.commons.lang3.ArrayUtils.nullToEmpty((java.lang.Object[])long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    java.lang.Byte[] byte_array1 = new java.lang.Byte[] { (byte)0 };
    byte[] byte_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array1);
    java.lang.Object obj3 = null;
    int i5 = org.apache.commons.lang3.ArrayUtils.lastIndexOf((java.lang.Object[])byte_array1, obj3, 0);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION7 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonOptional;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array8 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION7 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper9 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array8);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator10 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML4;
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array11 = new org.apache.commons.lang3.text.translate.CharSequenceTranslator[] { charSequenceTranslator10 };
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator12 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array11);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator13 = numericEntityUnescaper9.with(charSequenceTranslator_array11);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION14 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonOptional;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array15 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION14 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper16 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array15);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator17 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_HTML4;
    org.apache.commons.lang3.text.translate.CharSequenceTranslator[] charSequenceTranslator_array18 = new org.apache.commons.lang3.text.translate.CharSequenceTranslator[] { charSequenceTranslator17 };
    org.apache.commons.lang3.text.translate.AggregateTranslator aggregateTranslator19 = new org.apache.commons.lang3.text.translate.AggregateTranslator(charSequenceTranslator_array18);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator20 = numericEntityUnescaper16.with(charSequenceTranslator_array18);
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator21 = charSequenceTranslator13.with(charSequenceTranslator_array18);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array22 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])byte_array1, 2, (java.lang.Object)charSequenceTranslator_array18);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator21);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    boolean[] b_array0 = null;
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.removeElement(b_array0, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(b_array2);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    java.lang.Integer[] i_array1 = new java.lang.Integer[] { 1 };
    java.lang.Integer[] i_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array1);
    int[] i_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1, 100);
    java.lang.Character[] char_array6 = new java.lang.Character[] { '4' };
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array6);
    char[] char_array10 = org.apache.commons.lang3.ArrayUtils.add(char_array7, 1, 'a');
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.subarray(char_array7, 0, 2);
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])i_array1, (java.lang.Object)2);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])i_array1);
    int[] i_array17 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1, 1);
    int[] i_array19 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array17, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    java.lang.Boolean[] b_array1 = new java.lang.Boolean[] { false };
    boolean[] b_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array1);
    java.lang.Boolean[] b_array4 = new java.lang.Boolean[] { false };
    boolean[] b_array5 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array4);
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.addAll(b_array2, b_array5);
    boolean[] b_array9 = org.apache.commons.lang3.ArrayUtils.subarray(b_array6, 100, 100);
    org.apache.commons.lang3.ArrayUtils.reverse(b_array6);
    boolean[] b_array13 = org.apache.commons.lang3.ArrayUtils.add(b_array6, 2, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean[] b_array15 = org.apache.commons.lang3.ArrayUtils.remove(b_array6, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array13);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    java.lang.Integer[] i_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_INTEGER_OBJECT_ARRAY;
    java.lang.Integer[] i_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array0);
    int[] i_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array0);
    int[] i_array6 = new int[] { 100, 0, 1 };
    boolean b7 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array6);
    boolean b8 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array6);
    int[] i_array10 = org.apache.commons.lang3.ArrayUtils.add(i_array6, 1);
    java.lang.Integer[] i_array11 = org.apache.commons.lang3.ArrayUtils.toObject(i_array6);
    int[] i_array12 = org.apache.commons.lang3.ArrayUtils.clone(i_array6);
    int[] i_array16 = new int[] { 100, 0, 1 };
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array16);
    int[] i_array20 = org.apache.commons.lang3.ArrayUtils.subarray(i_array16, 10, 1);
    int[] i_array22 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array20, 0);
    int[] i_array26 = new int[] { 100, 0, 1 };
    boolean b27 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array26);
    boolean b28 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array26);
    int[] i_array30 = org.apache.commons.lang3.ArrayUtils.removeElement(i_array26, 0);
    int[] i_array31 = org.apache.commons.lang3.ArrayUtils.addAll(i_array20, i_array26);
    int[] i_array32 = org.apache.commons.lang3.ArrayUtils.addAll(i_array12, i_array26);
    boolean b33 = org.apache.commons.lang3.ArrayUtils.isSameLength(i_array2, i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    float[] f_array0 = null;
    float[] f_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Character[] char_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    boolean[] b_array8 = new boolean[] { true, true };
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.add(b_array8, false);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array10, true, 0);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array14 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])char_array4, 0, (java.lang.Object)i13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    short[] s_array0 = null;
    boolean b1 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(s_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    long[] long_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array2 = org.apache.commons.lang3.ArrayUtils.remove(long_array0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    java.lang.Object[] obj_array0 = null;
    char[] char_array5 = new char[] { 'a', '4', 'a' };
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array5, 'a');
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array5, '#', 0);
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.add(char_array5, 0, 'a');
    java.lang.Object[] obj_array14 = org.apache.commons.lang3.ArrayUtils.add(obj_array0, 0, (java.lang.Object)'a');
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator15 = org.apache.commons.lang3.StringEscapeUtils.ESCAPE_XML;
    java.lang.Object[] obj_array16 = org.apache.commons.lang3.ArrayUtils.removeElement(obj_array14, (java.lang.Object)charSequenceTranslator15);
    java.lang.Object[] obj_array17 = org.apache.commons.lang3.ArrayUtils.toArray(obj_array16);
    java.lang.Character[] char_array19 = new java.lang.Character[] { ' ' };
    char[] char_array21 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array19, ' ');
    java.lang.Object obj23 = null;
    java.lang.Object[] obj_array24 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])char_array19, 1, obj23);
    java.lang.Character[] char_array25 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array19);
    java.lang.Character[] char_array26 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array19);
    java.lang.Object[] obj_array27 = org.apache.commons.lang3.ArrayUtils.addAll(obj_array16, (java.lang.Object[])char_array19);
    boolean b28 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeHtml3("{0,0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{0,0}"+ "'", str1.equals("{0,0}"));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    short[] s_array2 = new short[] { (short)0, (short)100 };
    short[] s_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array2, (short)100);
    short[] s_array6 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array4, (short)0);
    short[] s_array9 = org.apache.commons.lang3.ArrayUtils.add(s_array4, 0, (short)0);
    short[] s_array11 = org.apache.commons.lang3.ArrayUtils.remove(s_array4, 0);
    boolean b12 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(s_array11);
    short[] s_array14 = org.apache.commons.lang3.ArrayUtils.removeElement(s_array11, (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array14);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    java.lang.Byte[] byte_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_BYTE_OBJECT_ARRAY;
    double[] d_array3 = new double[] { 10.0d, 0.0d };
    double[] d_array5 = org.apache.commons.lang3.ArrayUtils.remove(d_array3, 0);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array3, 1.0d, 100);
    int i10 = org.apache.commons.lang3.ArrayUtils.lastIndexOf((java.lang.Object[])byte_array0, (java.lang.Object)1.0d, 1);
    byte[] byte_array13 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array14 = new byte[] {  };
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array13, byte_array14);
    int i16 = org.apache.commons.lang3.ArrayUtils.lastIndexOf((java.lang.Object[])byte_array0, (java.lang.Object)byte_array14);
    byte[] byte_array18 = org.apache.commons.lang3.ArrayUtils.toPrimitive(byte_array0, (byte)1);
    int i20 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array18, (byte)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == (-1));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    java.lang.Integer[] i_array1 = new java.lang.Integer[] { 2 };
    int[] i_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1, (-1));
    java.lang.Integer[] i_array4 = org.apache.commons.lang3.ArrayUtils.toObject(i_array3);
    int[] i_array5 = null;
    int[] i_array9 = new int[] { 100, 0, 1 };
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array9);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array9);
    int[] i_array13 = org.apache.commons.lang3.ArrayUtils.add(i_array9, 1);
    int[] i_array14 = org.apache.commons.lang3.ArrayUtils.addAll(i_array5, i_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array14);
    int[] i_array16 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array14);
    int[] i_array17 = org.apache.commons.lang3.ArrayUtils.addAll(i_array3, i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    java.lang.Object[] obj_array0 = null;
    java.lang.Object[] obj_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(obj_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array1);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    long[] long_array3 = new long[] { 100L, 1L, 0L };
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array3, 1L);
    long[] long_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array3);
    long[] long_array10 = new long[] { 100L, 1L, 0L };
    long[] long_array12 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array10, 1L);
    long[] long_array13 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array10);
    boolean b14 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isEmpty(long_array13);
    long[] long_array18 = org.apache.commons.lang3.ArrayUtils.subarray(long_array13, 0, 1);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isSameLength(long_array6, long_array18);
    java.lang.Long[] long_array20 = org.apache.commons.lang3.ArrayUtils.toObject(long_array18);
    long[] long_array22 = org.apache.commons.lang3.ArrayUtils.add(long_array18, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array22);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    char[] char_array1 = new char[] { 'a' };
    char[] char_array3 = new char[] { 'a' };
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array1, char_array3);
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array3);
    char[] char_array7 = new char[] { 'a' };
    char[] char_array9 = new char[] { 'a' };
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isSameLength(char_array7, char_array9);
    boolean b11 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array9);
    char[] char_array12 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array9);
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.addAll(char_array3, char_array9);
    int i16 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array3, 'a', 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper1 = org.apache.commons.lang3.text.translate.UnicodeEscaper.above((-1));
    java.io.Writer writer4 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i5 = unicodeEscaper1.translate((java.lang.CharSequence)"hi!", 0, writer4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper1);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array3 = org.apache.commons.lang3.ArrayUtils.add(i_array0, (-1), 3);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.between(2, 2);
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.EMPTY_CHAR_ARRAY;
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isEquals((java.lang.Object)2, (java.lang.Object)char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    java.lang.Boolean[] b_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_BOOLEAN_OBJECT_ARRAY;
    long[] long_array1 = new long[] {  };
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array1, 0L);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array1, 100L);
    long[] long_array6 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array1);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])b_array0, (java.lang.Object)long_array6, 0);
    long[] long_array11 = org.apache.commons.lang3.ArrayUtils.subarray(long_array6, 0, 2);
    java.lang.Long[] long_array13 = new java.lang.Long[] { 1L };
    long[] long_array15 = org.apache.commons.lang3.ArrayUtils.toPrimitive(long_array13, 0L);
    long[] long_array18 = org.apache.commons.lang3.ArrayUtils.subarray(long_array15, 100, 0);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isSameLength(long_array6, long_array15);
    boolean b20 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Object[] obj_array5 = new java.lang.Object[] { ' ' };
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(obj_array5, (java.lang.Object)(short)(-1));
    java.lang.Object[] obj_array8 = org.apache.commons.lang3.ArrayUtils.removeElement((java.lang.Object[])char_array1, (java.lang.Object)i7);
    char[] char_array10 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, '#');
    // The following exception was thrown during execution in test generation
    try {
      char[] char_array12 = org.apache.commons.lang3.ArrayUtils.remove(char_array10, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Object obj5 = null;
    java.lang.Object[] obj_array6 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])char_array1, 1, obj5);
    java.lang.Character[] char_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    char[] char_array9 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, '#');
    boolean b10 = org.apache.commons.lang3.ArrayUtils.isEmpty(char_array9);
    char[] char_array12 = org.apache.commons.lang3.ArrayUtils.add(char_array9, '#');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array12);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf(5, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    java.lang.Float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.toPrimitive(f_array0, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(f_array2);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    int[] i_array0 = null;
    int[] i_array3 = org.apache.commons.lang3.ArrayUtils.add(i_array0, 0, (-1));
    boolean b4 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    long[] long_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, 100L);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array0);
    java.lang.Long[] long_array6 = org.apache.commons.lang3.ArrayUtils.toObject(long_array5);
    java.lang.Object[] obj_array7 = org.apache.commons.lang3.ArrayUtils.clone((java.lang.Object[])long_array6);
    long[] long_array9 = org.apache.commons.lang3.ArrayUtils.toPrimitive(long_array6, 0L);
    java.lang.Long[] long_array10 = org.apache.commons.lang3.ArrayUtils.toObject(long_array9);
    // The following exception was thrown during execution in test generation
    try {
      long[] long_array13 = org.apache.commons.lang3.ArrayUtils.add(long_array9, 1, 100L);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    java.lang.Integer[] i_array1 = new java.lang.Integer[] { 1 };
    java.lang.Integer[] i_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array1);
    int[] i_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1, 100);
    java.lang.Character[] char_array6 = new java.lang.Character[] { '4' };
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array6);
    char[] char_array10 = org.apache.commons.lang3.ArrayUtils.add(char_array7, 1, 'a');
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.subarray(char_array7, 0, 2);
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])i_array1, (java.lang.Object)2);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])i_array1);
    int[] i_array16 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1);
    int i18 = org.apache.commons.lang3.ArrayUtils.indexOf(i_array16, 1);
    int[] i_array19 = org.apache.commons.lang3.ArrayUtils.clone(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    java.lang.String str1 = org.apache.commons.lang3.StringEscapeUtils.escapeJava("{0,0}");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "{0,0}"+ "'", str1.equals("{0,0}"));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    double[] d_array0 = null;
    double[] d_array3 = new double[] { 10.0d, 0.0d };
    double[] d_array5 = org.apache.commons.lang3.ArrayUtils.remove(d_array3, 0);
    int i8 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array3, 1.0d, 100);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array3);
    double[] d_array10 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array9);
    double[] d_array13 = new double[] { 10.0d, 0.0d };
    double[] d_array15 = org.apache.commons.lang3.ArrayUtils.remove(d_array13, 0);
    int i18 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array13, 1.0d, 100);
    double[] d_array19 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array13);
    double[] d_array20 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array19);
    double[] d_array21 = org.apache.commons.lang3.ArrayUtils.addAll(d_array9, d_array20);
    double[] d_array23 = org.apache.commons.lang3.ArrayUtils.removeElement(d_array9, 100.0d);
    int i26 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array9, 0.0d, 0);
    int i28 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array9, 100.0d);
    double[] d_array29 = org.apache.commons.lang3.ArrayUtils.addAll(d_array0, d_array9);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array31 = org.apache.commons.lang3.ArrayUtils.remove(d_array29, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    java.lang.Character[] char_array1 = new java.lang.Character[] { ' ' };
    char[] char_array3 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array1, ' ');
    java.lang.Character[] char_array4 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array1);
    java.lang.String[] str_array6 = new java.lang.String[] { "hi!" };
    java.lang.String[] str_array7 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(str_array6);
    short[] s_array10 = new short[] { (short)0, (short)10 };
    short[] s_array11 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(s_array10);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])str_array7, (java.lang.Object)s_array11, 1);
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])char_array4, (java.lang.Object)s_array11);
    int i16 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array11, (short)0);
    int i18 = org.apache.commons.lang3.ArrayUtils.indexOf(s_array11, (short)(-1));
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(s_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(s_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    java.lang.Double[] d_array10 = org.apache.commons.lang3.ArrayUtils.toObject(d_array8);
    java.lang.Double[] d_array11 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array10);
    java.lang.Object obj13 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array14 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])d_array10, 5, obj13);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator0 = org.apache.commons.lang3.StringEscapeUtils.UNESCAPE_JAVA;
    java.lang.String str2 = charSequenceTranslator0.translate((java.lang.CharSequence)"1");
    java.lang.String str4 = charSequenceTranslator0.translate((java.lang.CharSequence)"\\\\u0068\\\\u0069\\\\u0021");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "1"+ "'", str2.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "\\u0068\\u0069\\u0021"+ "'", str4.equals("\\u0068\\u0069\\u0021"));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    long[] long_array0 = null;
    long[] long_array3 = org.apache.commons.lang3.ArrayUtils.subarray(long_array0, 0, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(long_array3);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    long[] long_array0 = new long[] {  };
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array0, 0L);
    long[] long_array4 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array0, 100L);
    long[] long_array5 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(long_array0);
    java.lang.Long[] long_array6 = org.apache.commons.lang3.ArrayUtils.toObject(long_array5);
    int i9 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array5, (-1L), (-1));
    long[] long_array10 = new long[] {  };
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf(long_array10, 0L);
    java.lang.String str13 = org.apache.commons.lang3.ArrayUtils.toString((java.lang.Object)long_array10);
    long[] long_array15 = org.apache.commons.lang3.ArrayUtils.removeElement(long_array10, (-1L));
    boolean b16 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(long_array10);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isEmpty(long_array10);
    long[] long_array18 = org.apache.commons.lang3.ArrayUtils.addAll(long_array5, long_array10);
    org.apache.commons.lang3.ArrayUtils.reverse(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "{}"+ "'", str13.equals("{}"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array18);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    boolean[] b_array2 = new boolean[] { true, true };
    boolean[] b_array4 = org.apache.commons.lang3.ArrayUtils.add(b_array2, false);
    java.lang.Boolean[] b_array6 = new java.lang.Boolean[] { false };
    boolean[] b_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array6);
    java.lang.Boolean[] b_array9 = new java.lang.Boolean[] { false };
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array9);
    boolean[] b_array11 = org.apache.commons.lang3.ArrayUtils.addAll(b_array7, b_array10);
    int i13 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array10, false);
    boolean[] b_array16 = org.apache.commons.lang3.ArrayUtils.subarray(b_array10, 0, 2);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isSameLength(b_array2, b_array10);
    int i19 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(b_array10, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    java.lang.Integer[] i_array1 = new java.lang.Integer[] { 1 };
    java.lang.Integer[] i_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array1);
    int[] i_array4 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1, 100);
    java.lang.Character[] char_array6 = new java.lang.Character[] { '4' };
    char[] char_array7 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array6);
    char[] char_array10 = org.apache.commons.lang3.ArrayUtils.add(char_array7, 1, 'a');
    char[] char_array13 = org.apache.commons.lang3.ArrayUtils.subarray(char_array7, 0, 2);
    int i14 = org.apache.commons.lang3.ArrayUtils.indexOf((java.lang.Object[])i_array1, (java.lang.Object)2);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isNotEmpty((java.lang.Object[])i_array1);
    int[] i_array16 = org.apache.commons.lang3.ArrayUtils.toPrimitive(i_array1);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    double[] d_array0 = null;
    int i2 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array0, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION0 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonRequired;
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array1 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION0 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper2 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array1);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION3 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.errorIfNoSemiColon;
    boolean b4 = numericEntityUnescaper2.isSet(oPTION3);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION oPTION5 = org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION.semiColonOptional;
    boolean b6 = numericEntityUnescaper2.isSet(oPTION5);
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] oPTION_array7 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper.OPTION[] { oPTION5 };
    org.apache.commons.lang3.text.translate.NumericEntityUnescaper numericEntityUnescaper8 = new org.apache.commons.lang3.text.translate.NumericEntityUnescaper(oPTION_array7);
    java.io.Writer writer11 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i12 = numericEntityUnescaper8.translate((java.lang.CharSequence)"2", 5, writer11);
      org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException");
    } catch (java.lang.StringIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.StringIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.StringIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(oPTION_array7);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    java.lang.String[] str_array1 = new java.lang.String[] { "hi!" };
    java.lang.String[] str_array2 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(str_array1);
    java.lang.Boolean[] b_array5 = new java.lang.Boolean[] { false };
    boolean[] b_array6 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array5);
    java.lang.Boolean[] b_array8 = new java.lang.Boolean[] { false };
    boolean[] b_array9 = org.apache.commons.lang3.ArrayUtils.toPrimitive(b_array8);
    boolean[] b_array10 = org.apache.commons.lang3.ArrayUtils.addAll(b_array6, b_array9);
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf(b_array9, false);
    boolean[] b_array15 = org.apache.commons.lang3.ArrayUtils.subarray(b_array9, 0, 2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array16 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])str_array1, 2, (java.lang.Object)0);
      org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException");
    } catch (java.lang.IndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(str_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(b_array15);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array2);
    double[] d_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(d_array8);
    double[] d_array11 = org.apache.commons.lang3.ArrayUtils.add(d_array9, (-1.0d));
    double[] d_array14 = new double[] { 10.0d, 0.0d };
    double[] d_array16 = org.apache.commons.lang3.ArrayUtils.remove(d_array14, 0);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isSameLength(d_array9, d_array14);
    double[] d_array19 = org.apache.commons.lang3.ArrayUtils.remove(d_array9, 0);
    int i21 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array9, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    double[] d_array0 = null;
    int i3 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array0, 1.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.lang3.text.translate.UnicodeEscaper unicodeEscaper2 = org.apache.commons.lang3.text.translate.UnicodeEscaper.outsideOf(1, 10);
    java.io.Writer writer5 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i6 = unicodeEscaper2.translate((java.lang.CharSequence)"hi!", 0, writer5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(unicodeEscaper2);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    long[] long_array0 = null;
    int i2 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(long_array0, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    short[] s_array0 = null;
    short[] s_array1 = org.apache.commons.lang3.ArrayUtils.clone(s_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(s_array1);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    java.lang.Object[] obj_array0 = null;
    int[] i_array4 = new int[] { 100, 0, 1 };
    boolean b5 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(i_array4);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.isEmpty(i_array4);
    int[] i_array8 = org.apache.commons.lang3.ArrayUtils.add(i_array4, 1);
    int[] i_array9 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(i_array8);
    java.lang.Integer[] i_array10 = org.apache.commons.lang3.ArrayUtils.toObject(i_array8);
    java.lang.Object obj11 = null;
    java.lang.Object[] obj_array12 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])i_array10, obj11);
    java.lang.Object[] obj_array13 = org.apache.commons.lang3.ArrayUtils.addAll(obj_array0, (java.lang.Object[])i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    java.lang.Float[] f_array0 = null;
    java.lang.Float[] f_array1 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(f_array0);
    java.lang.Object[] obj_array2 = null;
    char[] char_array7 = new char[] { 'a', '4', 'a' };
    int i9 = org.apache.commons.lang3.ArrayUtils.indexOf(char_array7, 'a');
    int i12 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(char_array7, '#', 0);
    char[] char_array15 = org.apache.commons.lang3.ArrayUtils.add(char_array7, 0, 'a');
    java.lang.Object[] obj_array16 = org.apache.commons.lang3.ArrayUtils.add(obj_array2, 0, (java.lang.Object)'a');
    org.apache.commons.lang3.text.translate.CharSequenceTranslator charSequenceTranslator17 = org.apache.commons.lang3.StringEscapeUtils.ESCAPE_XML;
    java.lang.Object[] obj_array18 = org.apache.commons.lang3.ArrayUtils.removeElement(obj_array16, (java.lang.Object)charSequenceTranslator17);
    java.lang.Object[] obj_array19 = org.apache.commons.lang3.ArrayUtils.toArray(obj_array18);
    java.lang.Character[] char_array21 = new java.lang.Character[] { ' ' };
    char[] char_array23 = org.apache.commons.lang3.ArrayUtils.toPrimitive(char_array21, ' ');
    java.lang.Object obj25 = null;
    java.lang.Object[] obj_array26 = org.apache.commons.lang3.ArrayUtils.add((java.lang.Object[])char_array21, 1, obj25);
    java.lang.Character[] char_array27 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array21);
    java.lang.Character[] char_array28 = org.apache.commons.lang3.ArrayUtils.nullToEmpty(char_array21);
    java.lang.Object[] obj_array29 = org.apache.commons.lang3.ArrayUtils.addAll(obj_array18, (java.lang.Object[])char_array21);
    java.lang.Object[] obj_array30 = org.apache.commons.lang3.ArrayUtils.removeElement((java.lang.Object[])f_array0, (java.lang.Object)obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(charSequenceTranslator17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(char_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array30);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    float[] f_array0 = null;
    float[] f_array2 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 1.0f);
    float[] f_array5 = org.apache.commons.lang3.ArrayUtils.add(f_array0, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array5);
    float[] f_array8 = null;
    float[] f_array10 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 1.0f);
    float[] f_array13 = org.apache.commons.lang3.ArrayUtils.add(f_array8, 0, 1.0f);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array13);
    boolean b15 = org.apache.commons.lang3.ArrayUtils.isSameLength(f_array5, f_array13);
    int i18 = org.apache.commons.lang3.ArrayUtils.indexOf(f_array5, 10.0f, 2);
    boolean b19 = org.apache.commons.lang3.ArrayUtils.isEmpty(f_array5);
    float[] f_array22 = org.apache.commons.lang3.ArrayUtils.subarray(f_array5, 100, 0);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array22);
    org.apache.commons.lang3.ArrayUtils.reverse(f_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array22);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    boolean b6 = org.apache.commons.lang3.ArrayUtils.contains(d_array4, 10.0d);
    double[] d_array8 = org.apache.commons.lang3.ArrayUtils.remove(d_array4, 0);
    int i11 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(d_array4, 100.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == (-1));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    double[] d_array2 = new double[] { 10.0d, 0.0d };
    double[] d_array4 = org.apache.commons.lang3.ArrayUtils.remove(d_array2, 0);
    int i7 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, 100);
    org.apache.commons.lang3.ArrayUtils.reverse(d_array2);
    int i12 = org.apache.commons.lang3.ArrayUtils.indexOf(d_array2, 1.0d, (-1), 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    byte[] byte_array0 = org.apache.commons.lang3.ArrayUtils.EMPTY_BYTE_ARRAY;
    byte[] byte_array1 = org.apache.commons.lang3.ArrayUtils.clone(byte_array0);
    int i4 = org.apache.commons.lang3.ArrayUtils.lastIndexOf(byte_array1, (byte)(-1), 10);
    byte[] byte_array6 = new byte[] { (byte)(-1) };
    byte[] byte_array9 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array6, (-1), 10);
    byte[] byte_array11 = org.apache.commons.lang3.ArrayUtils.removeElement(byte_array6, (byte)100);
    byte[] byte_array13 = new byte[] { (byte)(-1) };
    byte[] byte_array16 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array13, (-1), 10);
    boolean b17 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array6, byte_array16);
    byte[] byte_array20 = new byte[] { (byte)10, (byte)100 };
    byte[] byte_array21 = new byte[] {  };
    boolean b22 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array20, byte_array21);
    boolean b23 = org.apache.commons.lang3.ArrayUtils.isNotEmpty(byte_array21);
    byte[] byte_array26 = org.apache.commons.lang3.ArrayUtils.subarray(byte_array21, (-1), 2);
    boolean b27 = org.apache.commons.lang3.ArrayUtils.isSameLength(byte_array16, byte_array26);
    byte[] byte_array28 = org.apache.commons.lang3.ArrayUtils.addAll(byte_array1, byte_array16);
    int i31 = org.apache.commons.lang3.ArrayUtils.indexOf(byte_array16, (byte)0, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(byte_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));

  }

}
